CREATE TABLE `l_linked_earnings` (
                                     `id` bigint(20) NOT NULL COMMENT 'id',
                                     `order_id` bigint(12) DEFAULT NULL COMMENT '收益订单id',
                                     `buy_user_id` bigint(20) NOT NULL COMMENT '购买人id',
                                     `buy_user_name` varchar(255) DEFAULT NULL COMMENT '购买人名称',
                                     `benefit_user_id` bigint(20) NOT NULL COMMENT '受益人id',
                                     `amount` decimal(10,2) DEFAULT NULL COMMENT '收益金额',
                                     `before_amount` decimal(10,2) DEFAULT NULL COMMENT '之前收益',
                                     `after_amount` decimal(10,2) DEFAULT NULL COMMENT '之后收益',
                                     `type` int(12) DEFAULT NULL COMMENT '收益类型：0，消费收益，1、直推收益，2、间推收益，3、贡献收益',
                                     `remake` varchar(255) DEFAULT NULL COMMENT '收益说明',
                                     `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                     `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                     `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                     `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                     `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                     PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='用户收益明细表';
CREATE TABLE `linked_bind_log` (
                                   `id` bigint(255) NOT NULL COMMENT 'id',
                                   `user_id` varchar(255) DEFAULT NULL COMMENT '用户id',
                                   `out_order_id` bigint(255) DEFAULT NULL COMMENT '出局订单id',
                                   `out_sort` int(12) DEFAULT NULL COMMENT '出局位置',
                                   `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                   `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                   `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                   `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                   `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                   `before_parent_id` bigint(255) DEFAULT NULL COMMENT '换绑之前的上级id',
                                   `after_parent_id` bigint(255) DEFAULT NULL COMMENT '换绑之后的上级id',
                                   `type` int(255) DEFAULT NULL COMMENT '记录类型，1：上级变化，2：晋升成为合伙人，3：出局',
                                   `order_id` bigint(255) DEFAULT NULL COMMENT '入局订单id',
                                   `type_msg` varchar(255) DEFAULT NULL COMMENT '记录类型说明',
                                   `user_name` varchar(255) DEFAULT NULL COMMENT '用户名称',
                                   `before_parent_name` varchar(255) DEFAULT NULL COMMENT '换绑之前的上级姓名',
                                   `after_parent_name` varchar(255) DEFAULT NULL COMMENT '换绑之后的上级姓名',
                                   `sort` int(12) DEFAULT NULL COMMENT '排序',
                                   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='绑定记录表';
CREATE TABLE `linked_contribute_log` (
                                         `id` bigint(255) NOT NULL COMMENT 'id',
                                         `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人id',
                                         `update_user_id` bigint(255) DEFAULT NULL COMMENT '修改人id',
                                         `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                         `update_time` datetime DEFAULT NULL COMMENT '修改时间',
                                         `is_delete` int(36) DEFAULT NULL COMMENT '1:删除。0：未删除',
                                         `user_id` bigint(255) DEFAULT NULL COMMENT '贡献人id',
                                         `user_name` varchar(255) DEFAULT NULL COMMENT '贡献人姓名',
                                         `jie_user_id` bigint(255) DEFAULT NULL COMMENT '接收人id',
                                         `jie_user_name` varchar(255) DEFAULT NULL COMMENT '接收人姓名',
                                         `bei_user_id` bigint(255) DEFAULT NULL COMMENT '被贡献人id',
                                         `bei_user_name` varchar(255) DEFAULT NULL COMMENT '被贡献人姓名',
                                         `type` int(36) DEFAULT NULL COMMENT '1：成为合伙人时贡献，2：之前贡献的人进小黑屋时再次贡献',
                                         `linked_bind_id` bigint(255) DEFAULT NULL COMMENT '对应的绑定记录id',
                                         `remark` varchar(255) DEFAULT NULL COMMENT '备注',
                                         PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
CREATE TABLE `linked_order` (
                                `id` bigint(255) NOT NULL COMMENT 'id',
                                `order_id` bigint(255) DEFAULT NULL COMMENT '订单id',
                                `user_id` varchar(255) DEFAULT NULL COMMENT '用户id',
                                `is_out` int(12) DEFAULT NULL COMMENT '是否出局',
                                `sort` int(12) DEFAULT NULL COMMENT '购买排序',
                                `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                `recommend_id` bigint(255) DEFAULT NULL COMMENT '推荐人id',
                                `recommend_name` varchar(255) DEFAULT NULL COMMENT '推荐人名称',
                                `promotion_no` varchar(255) DEFAULT NULL COMMENT '推广码',
                                `user_name` varchar(255) DEFAULT NULL COMMENT '用户名称',
                                PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='联动模式订单表';
CREATE TABLE `linked_user_info` (
                                    `id` bigint(255) NOT NULL COMMENT 'id',
                                    `user_id` bigint(255) NOT NULL COMMENT '用户id',
                                    `user_name` varchar(255) DEFAULT NULL COMMENT '用户名称',
                                    `is_out` int(12) DEFAULT NULL COMMENT '是否出局',
                                    `is_weed` int(12) DEFAULT NULL COMMENT '是否淘汰',
                                    `promotion_no` varchar(20) DEFAULT NULL COMMENT '推广码',
                                    `earnings` decimal(20,2) DEFAULT NULL COMMENT '收益金额',
                                    `parent_id` bigint(20) DEFAULT NULL COMMENT '当前上级id',
                                    `parent_name` varchar(255) DEFAULT NULL COMMENT '上级名称',
                                    `recommend_id` bigint(20) DEFAULT NULL COMMENT '推荐人id',
                                    `recommend_name` varchar(255) DEFAULT NULL COMMENT '推荐人名称',
                                    `is_partner` int(12) DEFAULT NULL COMMENT '是否合伙人',
                                    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                    `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                    `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                    `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                    `contribute_time` datetime DEFAULT NULL COMMENT '贡献时间',
                                    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='联动模式用户信息表';


INSERT INTO `linked_user_info` (`id`, `user_id`, `user_name`, `is_out`, `is_weed`, `promotion_no`, `earnings`, `parent_id`, `parent_name`, `recommend_id`, `recommend_name`, `is_partner`, `create_time`, `create_user_id`, `is_delete`, `update_user_id`, `update_time`, `contribute_time`) VALUES (1, 1123598821738675201, '平台', 0, 0, 'ADMIN', 0, NULL, NULL, NULL, NULL, 1, '2018-11-10 00:00:00', 1123598821738675201, 0, 1123598821738675201, '2022-11-15 00:37:37', NULL);
INSERT INTO `linked_user_info` (`id`, `user_id`, `user_name`, `is_out`, `is_weed`, `promotion_no`, `earnings`, `parent_id`, `parent_name`, `recommend_id`, `recommend_name`, `is_partner`, `create_time`, `create_user_id`, `is_delete`, `update_user_id`, `update_time`, `contribute_time`) VALUES (2, 1513355662565462018, '王萍', 0, 0, 'WANGPI', 0, 1123598821738675201, '平台', 1123598821738675201, '平台', 1, NOW(), 1513355662565462018, 0, 1513355662565462018, NOW(), NULL);
INSERT INTO `linked_user_info` (`id`, `user_id`, `user_name`, `is_out`, `is_weed`, `promotion_no`, `earnings`, `parent_id`, `parent_name`, `recommend_id`, `recommend_name`, `is_partner`, `create_time`, `create_user_id`, `is_delete`, `update_user_id`, `update_time`, `contribute_time`) VALUES (3, 1558385292179341314, '姜文勇', 0, 0, 'JWYONG', 0, 1123598821738675201, '平台', 1123598821738675201, '平台', 1, NOW(), 1558385292179341314, 0, 1558385292179341314, NOW(), NULL);

INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1591459626831884290, '贡献人员接受账号推荐码', 'linked:contribute:code', 'JWYONG', '', 1123598821738675201, 1123598813738675201, NOW(), 1123598821738675201, NOW(), 1, 0);
INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1590586285097873410, '出局排位数', 'linked:out:num', '10', '', 1123598821738675201, 1123598813738675201, '2022-11-10 14:04:57', 1123598821738675201, '2022-11-14 11:35:46', 1, 0);
INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1590586185504124930, '联动间推收益', 'linked:earnings:indirect', '500', NULL, 1123598821738675201, 1123598813738675201, '2022-11-10 14:04:33', 1123598821738675201, '2022-11-10 14:04:33', 1, 0);
INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1590585738047385601, '联动贡献收益比例', 'linked:earnings:ratio', '0.1', '', 1123598821738675201, 1123598813738675201, '2022-11-10 14:02:46', 1123598821738675201, '2022-11-10 14:04:05', 1, 0);
INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1590585434916646913, '联动直推收益', 'linked:earnings:direct', '700', NULL, 1123598821738675201, 1123598813738675201, '2022-11-10 14:01:34', 1123598821738675201, '2022-11-10 14:01:34', 1, 0);
INSERT INTO `blade_param` (`id`, `param_name`, `param_key`, `param_value`, `remark`, `create_user`, `create_dept`, `create_time`, `update_user`, `update_time`, `status`, `is_deleted`) VALUES (1590585218192764929, '联动消费收益', 'linked:earnings:consumption', '200', NULL, 1123598821738675201, 1123598813738675201, '2022-11-10 14:00:42', 1123598821738675201, '2022-11-10 14:00:42', 1, 0);
