CREATE TABLE `blade_red_money_record` (
  `id` bigint(64) NOT NULL COMMENT 'id',
  `create_user_id` bigint(64) NOT NULL COMMENT '创建人ID',
  `update_user_id` bigint(64) NOT NULL COMMENT '修改人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `is_delete` int(16) NOT NULL COMMENT '1：删除，0：未删除',
  `before_money` decimal(19,2) NOT NULL COMMENT '操作前红包余额',
  `after_money` decimal(19,2) NOT NULL COMMENT '操作后红包余额',
  `type` int(16) NOT NULL COMMENT '操作类型，1：增加，2：减少',
  `fluctuant_amount` decimal(19,2) NOT NULL COMMENT '增加或扣减金额',
  `charge_amount` decimal(19,2) NOT NULL COMMENT '手续费金额',
  `tax_amount` decimal(19,2) NOT NULL COMMENT '税费金额',
  `source` varchar(32) NOT NULL COMMENT '来源',
  `user_app_id` bigint(64) NOT NULL COMMENT '钱包id',
  `param_str` text NOT NULL COMMENT '传入参数json',
  `data_id` bigint(64) DEFAULT NULL COMMENT '来源ID，（如订单id）',
  `source_code` int(16) DEFAULT NULL COMMENT '来源code',
  `user_id` bigint(64) DEFAULT NULL COMMENT '用户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;


CREATE TABLE `blade_mall_withdrawal_record` (
                                                `id` bigint(64) NOT NULL COMMENT 'id',
                                                `create_user_id` bigint(64) DEFAULT NULL COMMENT '创建人ID',
                                                `update_user_id` bigint(64) DEFAULT NULL COMMENT '更新人ID',
                                                `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                                `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                                `is_delete` int(16) DEFAULT NULL COMMENT '1，删除。0，未删除',
                                                `user_app_id` bigint(64) DEFAULT NULL COMMENT '钱包id',
                                                `create_user_name` varchar(64) DEFAULT NULL COMMENT '创建人姓名',
                                                `withdrawal_amount` decimal(19,2) DEFAULT NULL COMMENT '提现金额',
                                                `charge_amount` decimal(19,2) DEFAULT NULL COMMENT '手续费',
                                                `status` int(16) DEFAULT NULL COMMENT '状态。0：待审核，1：审核失败，2:审核通过，提现成功',
                                                `audit_user_id` bigint(64) DEFAULT NULL COMMENT '审核人ID',
                                                `audit_time` datetime DEFAULT NULL COMMENT '审核时间',
                                                `audit_msg` varchar(255) DEFAULT NULL COMMENT '审核人意见',
                                                `audit_user_name` varchar(64) DEFAULT NULL COMMENT '审核人姓名',
                                                `is_accelerate` int(16) DEFAULT NULL COMMENT '是否加速',
                                                PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
