ALTER TABLE `t_consign`
    ADD COLUMN `pay_type` int NULL COMMENT '支付方式：0、支付宝预授权，1、联动快捷支付' AFTER `consign_for`;

CREATE TABLE `t_payment_record` (
                                    `id` bigint(255) NOT NULL COMMENT 'id',
                                    `order_id` bigint(255) DEFAULT NULL COMMENT '订单ID',
                                    `payment_type` int(255) DEFAULT NULL COMMENT '付款方式',
                                    `payment_price` decimal(10,2) DEFAULT '0.00' COMMENT '付款金额',
                                    `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                    `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                    `response_json` text COMMENT '响应json',
                                    `request_json` text COMMENT '请求报文',
                                    `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                    `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                    `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                    `status` int(8) DEFAULT NULL COMMENT '状态',
                                    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;



CREATE TABLE `t_remit_record` (
                                  `id` bigint(255) NOT NULL COMMENT 'id',
                                  `consign_id` bigint(255) DEFAULT NULL COMMENT '寄售订单ID',
                                  `remit_type` int(255) DEFAULT NULL COMMENT '打款方式',
                                  `remit_price` decimal(10,2) DEFAULT '0.00' COMMENT '打款金额',
                                  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
                                  `create_user_id` bigint(255) DEFAULT NULL COMMENT '创建人',
                                  `create_user_name` varchar(255) DEFAULT NULL COMMENT '打款人姓名',
                                  `payee_user_id` bigint(255) DEFAULT NULL COMMENT '收款人ID',
                                  `response_json` text COMMENT '响应json',
                                  `request_json` text COMMENT '请求报文',
                                  `is_delete` int(255) DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
                                  `update_user_id` bigint(255) DEFAULT NULL COMMENT '更新人',
                                  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
                                  `status` int(8) DEFAULT NULL COMMENT '状态',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
