
-- 当前余额变更记录表
CREATE TABLE `blade_now_money_record` (
  `id` bigint(64) NOT NULL COMMENT 'id',
  `create_user_id` bigint(64) NOT NULL COMMENT '创建人ID\r\n',
  `update_user_id` bigint(64) NOT NULL COMMENT '修改人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '修改时间',
  `is_delete` int(16) NOT NULL COMMENT '1：删除，0：未删除',
  `before_money` decimal(19,2) NOT NULL COMMENT '操作前余额',
  `after_money` decimal(19,2) NOT NULL COMMENT '操作后余额',
  `type` int(16) NOT NULL COMMENT '操作类型，1：收入，2：支出',
  `fluctuant_amount` decimal(19,2) NOT NULL COMMENT '增加或扣减金额',
  `charge_amount` decimal(19,2) NOT NULL COMMENT '手续费金额',
  `tax_amount` decimal(19,2) NOT NULL COMMENT '税费金额',
  `source` varchar(32) NOT NULL COMMENT '来源',
  `user_app_id` bigint(64) NOT NULL COMMENT '钱包id',
  `param_str` text NOT NULL COMMENT '传入参数json',
  `data_id` bigint(64) DEFAULT NULL COMMENT '来源ID，（如订单id）',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

alter table blade_now_money_record add source_code int(16)  comment '来源code';
alter table blade_now_money_record add user_id bigint(64)  comment '用户ID';

UPDATE blade_now_money_record SET source_code = 6 WHERE source = '进货预授权扣款';
UPDATE blade_now_money_record SET source_code = 3 WHERE source = '进货预授权退款';
UPDATE blade_now_money_record SET source_code = 2 WHERE source = '进货收款';
UPDATE blade_now_money_record r SET r.user_id = (SELECT a.user_id FROM blade_user_app a WHERE a.id =r.user_app_id );


-- 提现记录表
CREATE TABLE `blade_withdrawal_record` (
  `id` bigint(64) NOT NULL COMMENT 'id',
  `create_user_id` bigint(64) NOT NULL COMMENT '创建人ID',
  `update_user_id` bigint(64) NOT NULL COMMENT '更新人ID',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `is_delete` int(16) NOT NULL COMMENT '1，删除。0，未删除',
  `user_app_id` bigint(64) NOT NULL COMMENT '钱包id',
  `create_user_name` varchar(64) DEFAULT NULL COMMENT '创建人姓名',
  `withdrawal_amount` decimal(19,2) NOT NULL COMMENT '提现金额',
  `charge_amount` decimal(19,2) NOT NULL COMMENT '提现金额',
  `status` int(16) NOT NULL COMMENT '状态。0：待审核，1：审核失败，2:审核通过，提现成功',
  `audit_user_id` bigint(64) DEFAULT NULL COMMENT '审核人ID',
  `audit_time` datetime DEFAULT NULL COMMENT '审核时间',
  `audit_msg` varchar(255) DEFAULT NULL COMMENT '审核人意见',
  `audit_user_name` varchar(64) DEFAULT NULL COMMENT '审核人姓名',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
