
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_integer_consign
-- ----------------------------
DROP TABLE IF EXISTS `t_integer_consign`;
CREATE TABLE `t_integer_consign`  (
  `id` bigint(255) NOT NULL COMMENT 'id',
  `consign_user_id` bigint(255) NULL DEFAULT NULL COMMENT '寄卖人id',
  `consign_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '寄卖人名称',
  `consign_tel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '寄卖电话',
  `integral` decimal(10, 2) NULL DEFAULT NULL COMMENT '寄卖积分',
  `consign_price` decimal(10, 2) NULL DEFAULT 0.00 COMMENT '寄卖金额',
  `buyer_user_id` bigint(20) NULL DEFAULT NULL COMMENT '购买人id',
  `buyer_user_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '购买人名称',
  `buyer_user_tel` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '购买人电话',
  `buy_time` datetime NULL DEFAULT NULL COMMENT '购买时间',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `create_user_id` bigint(255) NULL DEFAULT NULL COMMENT '创建人',
  `is_delete` int(255) NULL DEFAULT NULL COMMENT 'is_delete;0为未删除，1为已删除',
  `update_user_id` bigint(255) NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `status` int(8) NULL DEFAULT NULL COMMENT '状态：0上架，1已购买，2下架',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '积分寄售表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_integer_consign
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
