package org.springblade.modules.api.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.checkerframework.checker.units.qual.A;
import org.springblade.common.constant.CommonConstant;
import org.springblade.common.utils.YsbPayUtil;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.tool.api.R;
import org.springblade.modules.platform.entity.UserBankCards;
import org.springblade.modules.platform.service.IUserBankCardsService;
import org.springblade.modules.platform.service.IUserCardInfoService;
import org.springblade.modules.system.dto.PayRepDTO;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.math.BigInteger;
import java.security.MessageDigest;

@RestController
@AllArgsConstructor
@RequestMapping(CommonConstant.API_URL + "/ysbPay/sdk")
@Api(value = "银生宝支付SDK", tags = "99.银生宝支付SDK")
public class YsbPayController extends BladeController {

	@Resource
	private IUserBankCardsService bankCardsService;//银行卡服务

	@Resource
	private IUserCardInfoService userCardInfoService;//身份证实名信息

	@Resource
	private YsbPayUtil ysbPayUtil;

	@PostMapping("/bindQuery")
	@ApiOperationSupport(order = 15)
	@ApiOperation(value = "查询银行卡绑定", notes = "查询银行卡绑定")
	public R bindQuery(){
		UserBankCards bankCards = bankCardsService.getOne(Wrappers.lambdaQuery(UserBankCards.class)
			.eq(UserBankCards::getUserId, AuthUtil.getUserId()));
		return R.data(ysbPayUtil.bindQuery(bankCards.getCustomerIdmd(), bankCards.getRequestNo()));
	}
}
