package org.springblade.modules.api.controller.redenvelopemall;

import cn.hutool.core.date.DateUtil;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springblade.common.constant.CommonConstant;
import org.springblade.core.tool.api.R;
import org.springblade.modules.platform.entity.Ads;
import org.springblade.modules.platform.service.IAdsService;
import org.springblade.modules.redenvelopemall.entity.CategoryInfo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(value = "红包商城",tags = "100.红包商城")
@RequestMapping(CommonConstant.API_URL+"/re/ads")
public class AppAdsController {

	@Resource
	private IAdsService adsService;

	@GetMapping("/list")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "查询广告列表", notes = "根据类型查询广告列表")
	public R<List<Ads>> list(@ApiParam(value = "类型 1-应用首页 2-商城首页  3-推荐品牌 4-抢购专区 5-新品推荐 6-人气推荐 7-分类页广告 ")
									  @RequestParam(value = "type") Integer type) {
		String now = DateUtil.now();
		return R.data(adsService.lambdaQuery().eq(Ads::getType, type).eq(Ads::getIsEnabled, 2).orderByAsc(Ads::getSort)
			.le(Ads::getStartTime, now).ge(Ads::getEndTime, now).list());
	}
}
