package org.springblade.modules.api.controller.redenvelopemall;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springblade.common.constant.CommonConstant;
import org.springblade.core.tool.api.R;
import org.springblade.modules.redenvelopemall.entity.CategoryInfo;
import org.springblade.modules.redenvelopemall.service.ICategoryInfoService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(value = "红包商城",tags = "100.红包商城")
@RequestMapping(CommonConstant.API_URL+"/re/category")
public class AppCategoryController {

	@Resource
	private ICategoryInfoService categoryInfoService;

	@GetMapping("/list")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "查询分类列表", notes = "查询根分类，parentId传 0 ")
	public R<List<CategoryInfo>> list(@ApiParam(value = "父分类Id，不传默认为0", defaultValue = "0")
										  @RequestParam(value = "parentId", required = false) Long parentId) {
		parentId = parentId == null ? 0L : parentId;
		return R.data(categoryInfoService.lambdaQuery().eq(CategoryInfo::getParentId, parentId).orderByAsc(CategoryInfo::getSort).list());
	}
}
