package org.springblade.modules.api.controller.redenvelopemall;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.common.constant.CommonConstant;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.modules.api.request.GoodsListRequest;
import org.springblade.modules.desk.entity.Notice;
import org.springblade.modules.desk.service.INoticeService;
import org.springblade.modules.desk.vo.NoticeVO;
import org.springblade.modules.desk.wrapper.NoticeWrapper;
import org.springblade.modules.redenvelopemall.vo.GoodsInfoVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(value = "红包商城", tags = "100.红包商城")
@RequestMapping(CommonConstant.API_URL + "/re/notice")
public class AppNoticeController {

	@Resource
	private INoticeService noticeService;

	@GetMapping("/list")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "公告列表接口")
	public R<List<NoticeVO>> list(Query query) {
		query.setDescs("release_time");
		IPage<Notice> page = noticeService.page(Condition.getPage(query));
		IPage<NoticeVO> noticeVOIPage = NoticeWrapper.build().pageVO(page);
		return R.data(noticeVOIPage.getRecords());
	}
}
