package org.springblade.modules.api.response;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Author pangqijun
 * Date 2022/8/1
 * Description
 */
@Data
public class CartListResponse {
	/** 商品id */
	@ApiModelProperty(value = "商品id")
	private String goodsInfoId;

	@ApiModelProperty(value = "商品名称")
	private String goodsInfoName;

	@ApiModelProperty(value = "专区类型")
	private Integer zoneType;

	@ApiModelProperty(value = "商品价格")
	private BigDecimal price;

	@ApiModelProperty(value = "商品图片")
	private String cover;

	@ApiModelProperty(value = "购买时获得的积分数")
	private BigDecimal obtainIntegral;

	@ApiModelProperty(value = "积分兑换时需要扣除的金额")
	private BigDecimal needAmount;

	@ApiModelProperty(value = "抵扣所需积分")
	private BigDecimal needIntegral;

	/** 规格id */
	@ApiModelProperty(value = "规格id")
	private String goodsSpecId;

	@ApiModelProperty(value = "规格名称")
	private String goodsSpecName;

	/** 商品数量 */
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;

	@JsonIgnore
	private String goodsInfoImg;

	@JsonIgnore
	private String goodsSpecImg;
}
