package org.springblade.modules.api.service;

import com.alipay.api.AlipayApiException;
import org.springblade.core.tool.api.R;
import org.springblade.modules.api.response.AliUserInfoResponse;
import org.springblade.modules.finance.entity.Order;
import org.springblade.modules.system.entity.PayLog;

import java.math.BigDecimal;

public interface IAliService {
	/**
	 * 获取verifyid
	 * @param realName
	 * @param idNum
	 * @param mobile
	 * @return
	 * @throws AlipayApiException
	 */
	 String getVerifyid(String realName, String idNum, String mobile) throws AlipayApiException;

	/**
	 * 真是名字检验
	 * @param verifyid verifyid
	 * @param authCode
	 * @return
	 * @throws AlipayApiException
	 */
	Boolean realNameCheck(String verifyid, String authCode) throws AlipayApiException;

	/**
	 * 获取阿里用户信息
	 * @param authCode
	 * @return
	 * @throws AlipayApiException
	 */
    AliUserInfoResponse getAliUserInfo(String authCode) throws AlipayApiException;


	/**
	 *
	 * 向指定阿里用户付款
	 * @param type 类型默认0 余额提现 1 特殊账号打款 2 红包提现
	 * @param userId 系统用户Id
	 * @param aliUserId 阿里用户Id
	 * @param name 用户真实名字
	 * @param transAmount 金额
	 * @param orderTitle 标题
	 * @param remarks 备注
	 * @return PayLog
	 */
	PayLog pay(Integer type, Long userId, String aliUserId, String name, BigDecimal transAmount, String orderTitle, String remarks);

	/**
	 * 退款
	 * @param order
	 */
	void refund(Order order);
}
