//package org.springblade.modules.api.task;
//
//import cn.hutool.core.date.DateUtil;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springblade.common.enums.TicketTypeEnum;
//import org.springblade.common.utils.DateTimeUtil;
//import org.springblade.core.mp.base.BaseEntity;
//import org.springblade.modules.api.service.ITradeService;
//import org.springblade.modules.finance.entity.OrderGrant;
//import org.springblade.modules.finance.service.IOrderGrantService;
//import org.springblade.modules.platform.dto.AddUserTicketDTO;
//import org.springblade.modules.platform.entity.UserTicket;
//import org.springblade.modules.platform.service.IUserTicketService;
//import org.springblade.modules.platform.service.UserAppService;
//import org.springblade.modules.shopping.entity.Consign;
//import org.springblade.modules.shopping.service.IConsignService;
//import org.springblade.modules.system.entity.UserApp;
//import org.springblade.modules.system.mapper.UserMapper;
//import org.springblade.modules.system.vo.UserLvVo;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.scheduling.Trigger;
//import org.springframework.scheduling.annotation.SchedulingConfigurer;
//import org.springframework.scheduling.config.ScheduledTaskRegistrar;
//import org.springframework.scheduling.support.CronTrigger;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//import java.math.BigDecimal;
//import java.time.LocalDateTime;
//import java.util.Calendar;
//import java.util.Date;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
//import static org.springblade.modules.api.task.ConsignSchedulingTask.isStartTask;
//
//@Component
//public class AddIntegralTask implements SchedulingConfigurer {
//
//	private static final Logger log = LoggerFactory.getLogger(GrantSchedulingTask.class);
//
//	private static final String PATTERN_DATE = org.springblade.core.tool.utils.DateUtil.PATTERN_DATE;
//
//	private static final String TASK_NAME = "【积分计算】";
//
//	@Resource
//	private UserMapper userMapper;
//
//	@Resource
//	private UserAppService userAppService;
//
//	@Resource
//	private IConsignService consignService;
//
//	@Resource
//	private IUserTicketService userTicketService;
//
////	@Value("${scheduling.taskTime.grant:10}")
////	private Integer taskTime;
//
//	@Override
//	public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
//		if(!isStartTask){
//			return;
//		}
//
//		Runnable task = () -> {
//			log.info(TASK_NAME + "定时任务开始: " + LocalDateTime.now());
//			addScore();
//			log.info(TASK_NAME + "定时任务结束: " + LocalDateTime.now());
//		};
//		Trigger trigger = triggerContext -> {
////			log.info(TASK_NAME + "定时时间间隔: " + taskTime);
//			String cron = "0 30 0/1 * * ?";
//			CronTrigger trigger1 = new CronTrigger(cron);
//			return trigger1.nextExecutionTime(triggerContext);
//		};
//		taskRegistrar.addTriggerTask(task, trigger);
//	}
//
//	private void addScore(){
//		//获取所有直推用户大于5人的用户
//		List<Long> parentIdList = userMapper.getParentIdList();
//		Calendar can = Calendar.getInstance();
//		can.setTime(new Date());//设置当前日期
//		int i = can.get(Calendar.HOUR_OF_DAY);
//		Date time = DateTimeUtil.time(i - 1, 30, 0);
//		//将获取到的用户进行遍历
//		for (Long parentId : parentIdList) {
//
//			//判断当前这一场当前人员时候购买了
//			List<Consign> list = consignService.list(Wrappers.lambdaQuery(Consign.class)
//				.eq(Consign::getConsignUserId, parentId)
//				.between(Consign::getCreateTime, time, new Date()));
//			if (list.size() > 0){//当前人这一场购买的时候计算
//				//直推人员列表
//				List<UserApp> list1 = userAppService.list(Wrappers.lambdaQuery(UserApp.class).eq(UserApp::getParentId, parentId));
//				//团队人员列表
//				List<UserApp> list2 = userAppService.list(Wrappers.lambdaQuery(UserApp.class)
//					.like(UserApp::getParentPath, parentId).ne(UserApp::getParentId, parentId));
//				//查询团队中1到6层的人员
//				List<UserLvVo> userTree = userMapper.getUserTree(parentId);
//				//获取团队人员信息，团队人员只的是除直推人员以外的人
//				List<UserLvVo> userLvVos = userTree.stream().filter(s -> s.getLevel() > 1).collect(Collectors.toList());
//				List<UserLvVo> userOneVos = userTree.stream().filter(s -> s.getLevel() == 1).collect(Collectors.toList());
//				//判断团队注册人数是否大于20人，大于20人进行积分计算
//				if(list2.size() > 20 && list1.size() >= 5){
//					//计算直推人数积分
//					//获取直推人用户id
//					List<Long> oneUserIds = list1.stream().map(UserApp::getUserId).collect(Collectors.toList());
//					List<UserTicket> onelist = userTicketService.list(Wrappers.lambdaQuery(UserTicket.class)
//						.in(UserTicket::getUserId, oneUserIds)
//						.eq(UserTicket::getDataSrc,2)
//						.between(UserTicket::getCreateTime, time, new Date()));
//					Map<Long, List<UserTicket>> collect = onelist.stream().collect(Collectors.groupingBy(UserTicket::getUserId));
//					if(onelist.size() > 0 && collect.size() >= 5){//判断时候有进货产生,且同时有五个人以上进货
//						BigDecimal oneAddScore = new BigDecimal(0);
//						for (UserTicket userTicket : onelist) {
//							//计算消耗积分的10%进行相加
//							oneAddScore = oneAddScore.add(new BigDecimal(userTicket.getTicket())
//								.multiply(new BigDecimal(0.1)).setScale(2,BigDecimal.ROUND_DOWN));
//						}
//						if(oneAddScore.compareTo(new BigDecimal(0)) == 1){//判断新增积分大于0才进行计算
//							userTicketService.addScoreBySrc(parentId, oneAddScore, 6, "直推人员进货奖励", TicketTypeEnum.INCOME);
//						}
//					}
//					//计算团队人数积分
//					List<Long> teamUserIds = list2.stream().map(UserApp::getUserId).collect(Collectors.toList());
//					List<UserTicket> teamList = userTicketService.list(Wrappers.lambdaQuery(UserTicket.class)
//						.in(UserTicket::getUserId, teamUserIds)
//						.eq(UserTicket::getDataSrc, 2)
//						.between(UserTicket::getCreateTime, time, new Date()));
//					if(teamList.size() > 0 && collect.size() >= 5){//判断团队有进货产生
//						BigDecimal teamAddScore = new BigDecimal(0);
//						for (UserTicket userTicket : teamList) {
//							//计算消耗积分的10%进行相加
//							teamAddScore = teamAddScore.add(new BigDecimal(userTicket.getTicket())
//								.multiply(new BigDecimal(0.03)).setScale(2, BigDecimal.ROUND_DOWN));
//						}
//						if(teamAddScore.compareTo(new BigDecimal(0)) == 1){//判断新增积分大于0才进行计算
//							userTicketService.addScoreBySrc(parentId, teamAddScore, 7, "团队人员进货奖励", TicketTypeEnum.INCOME);
//						}
//					}
//				}
//			}
//		}
//	}
//}
