//package org.springblade.modules.api.task;
//
//import cn.hutool.core.date.DateUtil;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springblade.common.enums.TicketTypeEnum;
//import org.springblade.core.secure.utils.AuthUtil;
//import org.springblade.modules.api.service.ITradeService;
//import org.springblade.modules.finance.entity.OrderGrant;
//import org.springblade.modules.finance.service.IOrderGrantService;
//import org.springblade.modules.platform.entity.UserTicket;
//import org.springblade.modules.platform.mapper.UserTicketMapper;
//import org.springblade.modules.platform.service.UserAppService;
//import org.springblade.modules.shopping.entity.Consign;
//import org.springblade.modules.shopping.service.IConsignService;
//import org.springblade.modules.system.entity.User;
//import org.springblade.modules.system.entity.UserApp;
//import org.springblade.modules.system.mapper.UserMapper;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.scheduling.Trigger;
//import org.springframework.scheduling.annotation.SchedulingConfigurer;
//import org.springframework.scheduling.config.ScheduledTaskRegistrar;
//import org.springframework.scheduling.support.CronTrigger;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//import java.math.BigDecimal;
//import java.time.LocalDateTime;
//import java.util.Date;
//import java.util.List;
//
//import static org.springblade.modules.api.task.ConsignSchedulingTask.isStartTask;
//
///**
// * 预授权退款
// */
//@Component
//public class GrantSchedulingTask implements SchedulingConfigurer {
//
//	private static final Logger log = LoggerFactory.getLogger(GrantSchedulingTask.class);
//
//	private static final String PATTERN_DATE = org.springblade.core.tool.utils.DateUtil.PATTERN_DATE;
//
//	private static final String TASK_NAME = "【解冻支付宝账号】";
//
//	@Resource
//	private IOrderGrantService orderGrantService;
//
//	@Resource
//	private ITradeService tradeService;
//
//	@Resource
//	private IConsignService consignService;
//
//	@Resource
//	private UserAppService userAppService;
//
//	@Resource
//	private UserTicketMapper userTicketMapper;
//
//	@Resource
//	private UserMapper userMapper;
//
//	@Value("${scheduling.taskTime.grant:2}")
//	private Integer taskTime;
//
//
//	@Override
//	public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
//		if(!isStartTask){
//			return;
//		}
//
//		Runnable task = () -> {
//			log.info(TASK_NAME + "定时任务开始: " + LocalDateTime.now());
//			alipayUnfreeze();
////			addInteger();
//			log.info(TASK_NAME + "定时任务结束: " + LocalDateTime.now());
//		};
//
//		Trigger trigger = triggerContext -> {
//			log.info(TASK_NAME + "定时时间间隔: " + 2);
//			String cron = "0 0/" + 2 + " * * * ?";
//			CronTrigger trigger1 = new CronTrigger(cron);
//			return trigger1.nextExecutionTime(triggerContext);
//		};
//		taskRegistrar.addTriggerTask(task, trigger);
//	}
//
//	private void alipayUnfreeze(){
//
//		List<OrderGrant> list = orderGrantService.list(Wrappers.<OrderGrant>lambdaQuery()
//			.eq(OrderGrant::getStatus, 1)
//			//.eq(OrderGrant::getDataDate, ymd)
//			.gt(OrderGrant::getNowNum, 0)
//			.last(" AND EXISTS (select 1 from t_consign f where f.consign_config_id = bat_no  AND f.end_time < NOW()) ")
//		);
//		log.info("已授权冻结的数据：" + list.size());
//		if (list.size() > 0){
//			tradeService.orderGrant(list);
//		}
//	}
//
//	private void addInteger(){
//		List<Consign> list = consignService.list(Wrappers.lambdaQuery(Consign.class).eq(Consign::getIsPayment,3).eq(Consign::getIsDelivery,1));
//		for (Consign consign : list) {
//			UserApp userApp = userAppService.getBaseMapper().selectOne(Wrappers.<UserApp>lambdaQuery()
//				.eq(UserApp::getUserId, consign.getConsignUserId()));
//			// 添加积分记录
//			UserTicket ticket = new UserTicket();
//			ticket.setUserId(consign.getConsignUserId());
//			ticket.setDataSrc(10);//后台录入
//			BigDecimal multiply = new BigDecimal(consign.getConsignPrice()).multiply(new BigDecimal(2));
////			ticket.setTicket(multiply.doubleValue());
////			ticket.setDataRemarks("进货完结赠送积分");
////			ticket.setDataId(consign.getId());
////			ticket.setTicketType(TicketTypeEnum.INCOME.getValue());//收入
////			ticket.setLastTicket(userApp.getTicket() + multiply.doubleValue());
////			ticket.setUserTicket(userApp.getTicket());
////			ticket.setCreateTime(new Date());
////			ticket.setDataId(AuthUtil.getUserId());
////			userTicketMapper.insert(ticket);
//			// 修改用户积分
//			UserApp update = new UserApp();
//			update.setId(userApp.getId());
//			update.setTicket(userApp.getTicket() + multiply.doubleValue());
//			userAppService.updateById(update);
//			consign.setIsDelivery(0);
//			consignService.updateById(consign);
//		}
//	}
//}
