//package org.springblade.modules.api.task;
//
//import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
//import com.baomidou.mybatisplus.core.toolkit.Wrappers;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//import org.springblade.modules.platform.dto.AddUserTicketDTO;
//import org.springblade.modules.platform.entity.UserScores;
//import org.springblade.modules.platform.mapper.UserScoresMapper;
//import org.springblade.modules.platform.service.IUserTicketService;
//import org.springblade.modules.platform.vo.CountScoresVo;
//import org.springblade.modules.system.entity.User;
//import org.springblade.modules.system.entity.UserApp;
//import org.springblade.modules.system.mapper.UserAppMapper;
//import org.springblade.modules.system.mapper.UserMapper;
//import org.springblade.modules.system.vo.UserLvVo;
//import org.springframework.scheduling.Trigger;
//import org.springframework.scheduling.annotation.SchedulingConfigurer;
//import org.springframework.scheduling.config.ScheduledTaskRegistrar;
//import org.springframework.scheduling.support.CronTrigger;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//import java.math.BigDecimal;
//import java.time.LocalDateTime;
//import java.util.Date;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
//import static org.springblade.modules.api.task.ConsignSchedulingTask.isStartTask;
//
//@Component
//public class SubUserScoresTask implements SchedulingConfigurer {
//
//	private static final Logger log = LoggerFactory.getLogger(SubUserScoresTask.class);
//
//	private static final String PATTERN_DATE = org.springblade.core.tool.utils.DateUtil.PATTERN_DATE;
//
//	private static final String TASK_NAME = "【信用分扣除】";
//
//	@Resource
//	private UserAppMapper userAppMapper;
//
//	@Resource
//	private UserScoresMapper userScoresMapper;
//
//
//	@Override
//	public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
//		if(!isStartTask){
//			return;
//		}
//		Runnable task = () -> {
//			log.info(TASK_NAME + "定时任务开始: " + LocalDateTime.now());
//			subScore();
//			log.info(TASK_NAME + "定时任务结束: " + LocalDateTime.now());
//		};
//		Integer taskTime = 20;
//		Trigger trigger = triggerContext -> {
//			String cron = "0 10 8 * * ?";
//			CronTrigger trigger1 = new CronTrigger(cron);
//			return trigger1.nextExecutionTime(triggerContext);
//		};
//		taskRegistrar.addTriggerTask(task, trigger);
//	}
//
//	private void subScore(){
//		List<CountScoresVo> countScoresVos = userScoresMapper.countUserOrderNum();
//		for (CountScoresVo item : countScoresVos) {
//			Integer todayNum = item.getTodayNum();
//			Integer yesterdayNum = item.getYesterdayNum();
//			int i = yesterdayNum - todayNum;
//			if(i > 0){
//				int subCore = 30;
//				long userId = item.getUserId();
//				UserApp userApp = userAppMapper.selectOne(Wrappers.lambdaQuery(UserApp.class)
//					.eq(UserApp::getUserId, userId));
//				int i1 = userApp.getCreditScore() - subCore;
//				if(i1 < 0){
//					i1 = 0;
//				}
//				userApp.setCreditScore(i1);
//				userAppMapper.updateById(userApp);
//				UserScores userScores = new UserScores();
//				userScores.setScore(subCore);
//				userScores.setUserId(userId);
//				userScores.setScoreType(2);
//				userScores.setCreateTime(new Date());
//				userScores.setDataSrc("3");
//				userScores.setDataRemarks("减少场次积分扣除");
//				userScores.setDataType(1);
//				userScores.setScoreType(2);
//				userScoresMapper.insert(userScores);
//			}
//
//		}
//
//	}
//}
