package org.springblade.modules.courier.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@TableName("t_courier_data")
@ApiModel(value = "快递详情", description = "快递详情表")
public class CourierData implements Serializable {

	@JsonSerialize(using = ToStringSerializer.class)
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "快递单号id")
	private Long courierNumberId;

	@ApiModelProperty(value = "时间，原始格式")
	private Date time;

	@ApiModelProperty(value = "内容")
	private String context;

	@ApiModelProperty(value = "格式化后时间")
	private Date ftime;

	@ApiModelProperty(value = "行政区域的编码")
	private String areaCode;

	@ApiModelProperty(value = "行政区域的名称")
	private String areaName;

	@ApiModelProperty(value = "物流状态名称或者高级状态名称")
	private String status;

	@ApiModelProperty(value = "快件当前地点")
	private String location;

	@ApiModelProperty(value = "行政区域经纬度")
	private String areaCenter;

	@ApiModelProperty(value = "行政区域拼音")
	private String areaPinYin;

	@ApiModelProperty(value = "高级物流状态值")
	private String statusCode;


}
