package org.springblade.modules.courier.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;
import java.util.Date;


@Data
@TableName("t_courier_number")
@ApiModel(value = "快递单号", description = "快递单号记录表")
public class CourierNumber extends BaseEntity<CourierNumber> {


	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "订单id")
	private String orderId;

	@ApiModelProperty(value = "订单类型，0交割订单，若有其他后期扩展")
	private Integer orderType;

	@ApiModelProperty(value = "快递单号id")
	private String courierNumber;

	@ApiModelProperty(value = "快递公司名称")
	private String deliveryName;

	@ApiModelProperty(value = "快递公司编码")
	private String deliveryCode;

	@ApiModelProperty(value = "状态；0未收货，1已收货")
	private Integer status;

	@ApiModelProperty(value = "最新一次查询快递100的时间")
	private Date queryTime;

	@ApiModelProperty(value = "创建人姓名")
	private String createUserName;

	@ApiModelProperty(value = "最后一次查询的响应json")
	private String responseJson;


}
