package org.springblade.modules.courier.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class CourierNumberParam implements Serializable {

	@ApiModelProperty(value = "订单号")
	@NotNull(message = "订单号不能为空")
	private String orderNo;

	@ApiModelProperty(value = "订单类型")
	@NotNull(message = "订单类型不能为空")
	private Integer orderType;

	@ApiModelProperty(value = "快递单号")
	@NotBlank(message = "快递单号不能为空")
	private String courierNumber;

	@ApiModelProperty(value = "快递公司名称")
	@NotBlank(message = "快递公司名称不能为空")
	private String deliveryName;

	@ApiModelProperty(value = "快递公司编码")
	@NotBlank(message = "快递公司编码不能为空")
	private String deliveryCode;


}
