package org.springblade.modules.courier.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kuaidi100.sdk.request.SubscribeReq;
import com.kuaidi100.sdk.response.SubscribeResp;
import org.springblade.modules.courier.entity.CourierData;
import org.springblade.modules.courier.entity.CourierNumber;

import java.util.List;

public interface CourierDataService extends IService<CourierData> {


    List<CourierData> selectByOrderId(CourierNumber courierNumber);

	List<CourierData> queryCourierData(CourierNumber courierNumber) throws Exception;

	List<CourierData> createCourierData(CourierNumber courierNumber) throws Exception;

	/**
	 * 订阅快递推送服务
	 * @param orderNo 订单号
	 * @param number 订阅的快递单号， 单号的最小长度6个字符，最大长度32个字符
	 * @param company 订阅的快递公司的编码，一律用小写字母
	 * @return
	 * @throws Exception
	 */
	SubscribeResp subscribe(String orderNo, String number, String company) throws Exception;
}
