package org.springblade.modules.finance.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class OrderConsignParam implements Serializable {

	/**
	 * 寄售用户ID
	 */
	@ApiModelProperty(value = "寄售用户ID")
	private Long consignUserId;



	@ApiModelProperty(value = "寄售用户姓名")
	private String consignRealName;



	@ApiModelProperty(value = "支付用户ID")
	private Long payUserId;


	@ApiModelProperty(value = "支付用户姓名")
	private String payRealName;

	/**
	 * 寄售类型
	 */
	@ApiModelProperty(value = "寄售类型:0无，1提货，2寄售")
	private Integer consignTypeDisplay;


	/**
	 * 是否确认
	 */
	@ApiModelProperty(value = "是否确认")
	private Integer isConfirmDisplay;


//	@ApiModelProperty(value = "商品编号")
//	private String productNo;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ApiModelProperty(value = "结束时间")
	private Date endTime;

}
