/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.linked.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

/**
 * 绑定记录表实体类
 *
 * @author BladeX
 * @since 2022-11-07
 */
@Data
@ApiModel(value = "LinkedBindLog对象", description = "绑定记录表")
public class LinkedBindLog extends BaseEntity<LinkedUserInfo> {

	private static final long serialVersionUID = 1L;


	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	 * 出局订单id
	 */
	@ApiModelProperty(value = "出局订单id")
	private Integer outOrderId;
	/**
	 * 出局位置
	 */
	@ApiModelProperty(value = "出局位置")
	private Integer outSort;

	/**
	 * 换绑之前的上级id
	 */
	@ApiModelProperty(value = "换绑之前的上级id")
	private Long beforeParentId;
	/**
	 * 换绑之前的上级id
	 */
	@ApiModelProperty(value = "换绑之前的上级姓名")
	private String beforeParentName;
	/**
	 * 换绑之后的上级id
	 */
	@ApiModelProperty(value = "换绑之后的上级id")
	private Long afterParentId;

	/**
	 * 换绑之后的上级id
	 */
	@ApiModelProperty(value = "换绑之后的上级姓名")
	private String afterParentName;

	/**
	 * 记录类型
	 */
	@ApiModelProperty(value = "记录类型")
	private Integer type;

	/**
	 * 记录类型
	 */
	@ApiModelProperty(value = "记录类型说明")
	private String typeMsg;
	/**
	 * 入局订单id
	 */
	@ApiModelProperty(value = "入局订单id")
	private Long orderId;

	@ApiModelProperty(value = "排序")
	private Integer sort;


}
