package org.springblade.modules.linked.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

/**
 * 贡献人员记录表
 *
 *
 */
@Data
@TableName("linked_contribute_log")
@ApiModel(value = "LinkedContributeLog对象", description = "贡献人员记录表")
public class LinkedContributeLog extends BaseEntity<LinkedContributeLog> {

	@ApiModelProperty("贡献人id")
	private Long userId;

	@ApiModelProperty("贡献人姓名")
	private String userName;

	@ApiModelProperty("接收人id")
	private Long jieUserId;

	@ApiModelProperty("接收人姓名")
	private String jieUserName;

	@ApiModelProperty("被贡献人id")
	private Long beiUserId;

	@ApiModelProperty("被贡献人姓名")
	private String beiUserName;

	@ApiModelProperty("1：成为合伙人时贡献，2：之前贡献的人进小黑屋时再次贡献")
	private Integer type;

	@ApiModelProperty("对应的绑定记录id")
	private Long linkedBindId;

	@ApiModelProperty("备注")
	private String remark;

}
