/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.linked.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 用户收益明细表实体类
 *
 * @author BladeX
 * @since 2022-11-10
 */
@Data
@TableName("l_linked_earnings")
@ApiModel(value = "LinkedEarnings对象", description = "用户收益明细表")
public class LinkedEarnings extends BaseEntity<LinkedEarnings> {

	/**
	* 收益订单id
	*/
		@ApiModelProperty(value = "收益订单id")
		private Long orderId;
	/**
	* 购买人id
	*/
		@ApiModelProperty(value = "购买人id")
		private Long buyUserId;
	/**
	* 购买人名称
	*/
		@ApiModelProperty(value = "购买人名称")
		private String buyUserName;
	/**
	* 受益人id
	*/
		@ApiModelProperty(value = "受益人id")
		private Long benefitUserId;
	/**
	* 收益类型：0，消费收益，1、直推收益，2、间推收益，3、贡献收益
	*/
		@ApiModelProperty(value = "收益类型：0，消费收益，1、直推收益，2、间推收益，3、贡献收益")
		private Integer type;

		@ApiModelProperty(value = "收益说明")
		private String remake;
	/**
	* 收益金额
	*/
		@ApiModelProperty(value = "收益金额")
		private BigDecimal amount;

		@ApiModelProperty(value = "之前收益")
		private BigDecimal beforeAmount;

		@ApiModelProperty(value = "之后收益")
		private BigDecimal afterAmount;
}
