/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.linked.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

/**
 * 联动模式订单表实体类
 *
 * @author BladeX
 * @since 2022-11-09
 */
@Data
@TableName("linked_order")
@ApiModel(value = "Order对象", description = "联动模式订单表")
public class LinkedOrder extends BaseEntity<LinkedOrder> {

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Long userId;

	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private String userName;

	/**
	 * 订单id
	 */
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	 * 是否出局
	 */
	@ApiModelProperty(value = "是否出局")
	private Integer isOut;
	/**
	 * 购买排序
	 */
	@ApiModelProperty(value = "购买排序")
	private Integer sort;
	/**
	 * 推荐人id
	 */
	@ApiModelProperty(value = "推荐人id")
	private Long recommendId;
	/**
	 * 推荐人名称
	 */
	@ApiModelProperty(value = "推荐人名称")
	private String recommendName;
	/**
	 * 推广码
	 */
	@ApiModelProperty(value = "推广码")
	private String promotionNo;
}
