/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.linked.service;

import org.springblade.modules.linked.entity.LinkedEarnings;
import org.springblade.modules.linked.vo.LinkedEarningsVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.math.BigDecimal;

/**
 * 用户收益明细表 服务类
 *
 * @author BladeX
 * @since 2022-11-10
 */
public interface ILinkedEarningsService extends IService<LinkedEarnings> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param linkedEarnings
	 * @return
	 */
	IPage<LinkedEarningsVO> selectLinkedEarningsPage(IPage<LinkedEarningsVO> page, LinkedEarningsVO linkedEarnings);




	/**
	 * 查询最后一条记录
	 * @param userId 用户id
	 * @return
	 */
	LinkedEarnings getLastEarnings(Long userId);


	/**
	 * 查询今天之前的最后一条记录
	 * @param userId 用户id
	 * @return
	 */
	LinkedEarnings getLastEarningsBeforeToday(Long userId);
}
