package org.springblade.modules.linked.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.finance.entity.Order;
import org.springblade.modules.linked.entity.LinkedOrder;
import org.springblade.modules.linked.vo.OrderVO;

public interface ILinkedOrderService extends IService<LinkedOrder> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param order
	 * @return
	 */
	IPage<OrderVO> selectOrderPage(IPage<OrderVO> page, OrderVO order);

	/**
	 * 返回true的时候生成联动类型订单，不计算红绿色积分
	 * false的时候生成普通订单，走原流程
	 * @param order
	 * @return
	 */
	Boolean checkLinkedOrder(Order order);

	/**
	 * 更新用户联动模式订单
	 * @param order
	 */
	Boolean updateLinkedOrder(Order order);

	/**
	 * 查询自己的最后一个订单
	 * @param userId
	 * @return
	 */
	LinkedOrder getLastOrderByUserId(Long userId);

	/**
	 * 查询最后一个出局的订单
	 *
	 * @return
	 */
	LinkedOrder getLastOutOrder();
}
