/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.linked.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.linked.entity.LinkedUserInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

import java.util.Date;

/**
 * 联动模式用户信息表视图实体类
 *
 * @author BladeX
 * @since 2022-11-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserInfoVO对象", description = "联动模式用户信息表")
public class UserInfoVO extends LinkedUserInfo {
	private static final long serialVersionUID = 1L;

	/**
	 * 账号
	 */
	private String account;

	/**
	 * 头像
	 */
	private String avatar;

}
