package org.springblade.modules.platform.controller;

import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springblade.core.tool.api.R;
import org.springblade.modules.platform.service.IDataChartService;
import org.springblade.modules.platform.vo.StatisticsVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;


@RestController
@RequestMapping("platform/dataChart")
@Api(value = "数据概图", tags = "数据概图接口")
public class DataChartController {

	@Resource
	private IDataChartService dataChartService;

	@GetMapping("/statistics")
	@ApiOperation(value = "获取统计数据")
	public R statistics() {
		StatisticsVO statistics = dataChartService.statistics();
		return R.data(statistics);
	}

	@GetMapping("/snapUpPeopleToday")
	@ApiOperation(value = "获取当日抢购人数")
	public R snapUpPeopleToday() {
		return R.data(dataChartService.snapUpPeopleToday());
	}

	@GetMapping("/snapUpPeopleYesterday")
	@ApiOperation(value = "获取昨日抢购人数")
	public R snapUpPeopleYesterday() {
		return R.data(dataChartService.snapUpPeopleYesterday());
	}

}
