package org.springblade.modules.redenvelopemall.controller;/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.mp.support.Query;
import org.springblade.core.tool.api.R;
import org.springblade.modules.redenvelopemall.param.RedEnvelopeReceiveLogParam;
import org.springblade.modules.redenvelopemall.service.IRedEnvelopeReceiveLogService;
import org.springblade.modules.redenvelopemall.vo.RedEnvelopeReceiveLogVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *  控制器
 *
 * @author BladeX
 * @since 2022-05-12
 */
@RestController
@AllArgsConstructor
@RequestMapping("/re/log")
@Api(value = "红包日志", tags = "接口")
public class RedEnvelopeReceiveLogController extends BladeController {

	private final IRedEnvelopeReceiveLogService redEnvelopeReceiveLogService;

	/**
	 * 自定义分页
	 */
	@GetMapping("/pageByParam")
	@ApiOperationSupport(order = 3)
	@ApiOperation(value = "分页", notes = "传入param")
	public R<IPage<RedEnvelopeReceiveLogVo>> page(RedEnvelopeReceiveLogParam param, Query query) {
		IPage<RedEnvelopeReceiveLogVo> page = redEnvelopeReceiveLogService.logPage(param, query);
		return R.data(page);
	}

}
