package org.springblade.modules.redenvelopemall.controller;

import cn.hutool.core.bean.BeanUtil;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springblade.core.tool.api.R;
import org.springblade.modules.platform.service.UserAppService;
import org.springblade.modules.redenvelopemall.entity.RedSetting;
import org.springblade.modules.redenvelopemall.param.RedSettingParam;
import org.springblade.modules.redenvelopemall.service.IRedEnvelopeItemService;
import org.springblade.modules.redenvelopemall.service.IRedEnvelopeService;
import org.springblade.modules.redenvelopemall.service.IRedSettingService;
import org.springblade.modules.redenvelopemall.task.RedTask;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Api(value = "re-红包设置", tags = "re-红包设置")
@RequestMapping("/re/setting")
public class RedSettingController {
	private static final Logger log = LoggerFactory.getLogger(RedSettingController.class);
	@Autowired
	private IRedSettingService redSettingService;
	@Autowired
	private IRedEnvelopeService redEnvelopeService;
	@Autowired
	private UserAppService userAppService;
	@Autowired
	private IRedEnvelopeItemService redEnvelopeItemService;
	@Resource(name = "redRedisTemplate")
	private RedisTemplate redisTemplate;

	@Resource
	private RedTask redTask;

	@GetMapping("/getOne")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "获取最新的配置")
	public R<RedSetting> detail() {
		RedSetting redSetting=redSettingService.getFirst();
		return R.data(redSetting);
	}

	@PostMapping("/add")
	@ApiOperationSupport(order = 2)
	@ApiOperation(value = "新增")
	public R<RedSetting> add(@RequestBody RedSettingParam param) {
//		if (redSetting.getMaxAmount().compareTo(redSetting.getTotalAmount())==1){
//			throw new RuntimeException("最大红包不能大于总金额");
//		}
//		if (redSetting.getMinAmount().compareTo(redSetting.getTotalAmount())==1){
//			throw new RuntimeException("最小红包不能大于总金额");
//		}
		if (param.getMinAmount().compareTo(param.getMaxAmount())==1){
			throw new RuntimeException("最小红包不能大于最大红包");
		}
		//最小红包总数=最小红包*个数
//		BigDecimal minTotalAmount = redSetting.getMinAmount().multiply(new BigDecimal(redSetting.getNum()));
//		if (minTotalAmount.compareTo(redSetting.getTotalAmount())==1){
//			throw new RuntimeException("最小红包或总金额设置不合理,请重新设置");
//		}
		RedSetting redSetting=new RedSetting();
		BeanUtil.copyProperties(param,redSetting);
		redSettingService.save(redSetting);
		return R.data(redSetting);
	}

	@GetMapping("/create")
	@ApiOperationSupport(order = 1)
	@ApiOperation(value = "生成红包")
	@Transactional
	public void createRedEnvelope() {
		redTask.createRedEnvelope();
	}
}

