package org.springblade.modules.redenvelopemall.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SupplyChainDTO {
	@ApiModelProperty("页码")
	private Integer page;
	@ApiModelProperty("条数")
	private Integer limit;
	@ApiModelProperty("平台来源1云仓2京东6阿里巴巴7天猫")
	private Integer source;
	@ApiModelProperty("分类id")
	private Integer category_id;
	@ApiModelProperty("0不包邮1包邮-1全部")
	private Integer is_free_shipping;
	@ApiModelProperty("店铺id店铺名称")
	private String shop_words;
	@ApiModelProperty("默认为1，1代表精选商品，2代表全部商品")
	private Integer recommend;
	@ApiModelProperty("营销活动id")
	private Integer group_id;
	@ApiModelProperty("关键字搜素")
	private String search_words;
	@ApiModelProperty("指导价（分）")
	private PriceRange guide_price;
	@ApiModelProperty("协议价（分）")
	private PriceRange agreement_price;
	@ApiModelProperty("营销价（分）")
	private PriceRange activity_price;
	@ApiModelProperty("毛利率")
	private PriceRange gross_profit_rate;
	@ApiModelProperty("折扣")
	private PriceRange discount;
	@ApiModelProperty("利润率")
	private PriceRange promote_rate;
}

@Data
class PriceRange {
	@ApiModelProperty("区间开始")
	private Integer from;
	@ApiModelProperty("区间结束")
	private Integer to;
}
