/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 收益明细实体类
 *
 * @author BladeX
 * @since 2022-05-31
 */
@Data
@TableName("re_earnings_detail")
@ApiModel(value = "EarningsDetail对象", description = "收益明细")
public class EarningsDetail extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键")
	private Long id;
	/**
	 * 订单id
	 */
	@ApiModelProperty(value = "订单id")
	private Long orderId;
	/**
	 * 订单号
	 */
	@ApiModelProperty(value = "订单号")
	private String orderNo;
	/**
	 * 收益金额
	 */
	@ApiModelProperty(value = "收益金额")
	private BigDecimal amount;

	@ApiModelProperty(value = "总金额,统计字段")
	@TableField(exist = false)
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalAmount = new BigDecimal(0);
	/**
	 * 状态;1有效 0无效
	 */
	@ApiModelProperty(value = "状态;1有效 0无效")
	private Integer state;


}
