/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;

import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 加速积分记录实体类
 *
 * @author BladeX
 * @since 2022-05-25
 */
@Data
@TableName("re_red_accelerate_record")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "RedAccelerateRecord对象", description = "加速积分记录")
public class RedAccelerateRecord extends BaseEntity<RedAccelerateRecord> {

	private static final long serialVersionUID = 1L;

	/**
	* 加速人
	*/
	@ApiModelProperty(value = "加速人")
	private Long accelerateUserId;
	/**
	* 收益人
	*/
	@ApiModelProperty(value = "收益人")
	private Long benefitUserId;
	/**
	* 加速金额
	*/
	@ApiModelProperty(value = "加速金额")
	private BigDecimal amount;
	/**
	* 服务费比例
	*/
	@ApiModelProperty(value = "服务费比例")
	private BigDecimal ratio;
	/**
	* 加速积分
	*/
	@ApiModelProperty(value = "加速积分")
	private BigDecimal accelerateIntegral;
	/**
	* 是否使用
	*/
	@ApiModelProperty(value = "是否使用")
	private Integer isUse;
	/**
	* 使用时间
	*/
	@ApiModelProperty(value = "使用时间")
	private LocalDateTime useTime;
	/**
	* 是否过期
	*/
	@ApiModelProperty(value = "是否过期")
	private Integer isExpired;
	/**
	* 过期时间
	*/
	@ApiModelProperty(value = "过期时间")
	private LocalDateTime expiredTime;
	/**
	* 来源记录ID
	*/
	@ApiModelProperty(value = "来源记录ID")
	private Long dataId;
	/**
	* 描述
	*/
	@ApiModelProperty(value = "描述")
	private String remark;

	/**
	 * 加速类型：0为一级加速，1为二级加速
	 */
	@ApiModelProperty(value = "加速类型：0为一级加速，1为二级加速")
	private Integer type;
}
