package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;


@Data
@TableName("re_red_envelope")
@ApiModel(value = "红包对象")
public class RedEnvelope extends BaseEntity<RedEnvelope> {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "类型:0是拼手气红包,1是普通红包")
	private Integer type=0;

	@ApiModelProperty(value = "红包归属:0是平台,1是入驻的商家")
	private Integer belong=0;

	@ApiModelProperty(value = "红包个数")
	private Integer num;

	@ApiModelProperty(value = "红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalAmount;

	@ApiModelProperty(value = "实际红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal realTotalAmount;


	@ApiModelProperty(value = "标题")
	private String title;

	@ApiModelProperty(value = "超链接")
	private String hyperlinks;

	@ApiModelProperty(value = "有效开始时间")
	private Date EffectiveStartTime;

	@ApiModelProperty(value = "有效结束时间")
	private Date EffectiveEndTime;

	@ApiModelProperty(value = "随机单个红包最大金额",required = true)
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal maxAmount;

	@ApiModelProperty(value = "随机单个红包最小金额",required = true)
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal minAmount;

}
