package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@TableName("re_red_envelope_item")
@ApiModel(value = "红包项对象")
public class RedEnvelopeItem {
	private static final long serialVersionUID = 1L;


	@JsonSerialize(using = ToStringSerializer.class)
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "主键")
	private Long id;

	@ApiModelProperty(value = "红包id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long redEnvelopeId;

	@ApiModelProperty(value = "金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal amount;

	@ApiModelProperty(value = "领取标识:0未领取,1领取")
	private Integer receiveFlag;

}
