package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;


@Data
@TableName("re_red_envelope_Receive_log")
@ApiModel(value = "红包领取日志记录")
public class RedEnvelopeReceiveLog extends BaseEntity<RedEnvelopeReceiveLog> {
	@ApiModelProperty(value = "红包项id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long redEnvelopeItemId;

	@ApiModelProperty(value = "实际金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal amount=new BigDecimal(0);

	@ApiModelProperty(value = "抢到的金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal grabAmount=new BigDecimal(0);

	@ApiModelProperty(value = "抢之前的红包金额")
	private BigDecimal beforeAmount;

	@ApiModelProperty(value = "抢之后的红包金额")
	private BigDecimal afterAmount;

	@ApiModelProperty(value = "类型 0:红包商城随机红包,1:个人专属红包(来自下级团队收益),2:1580收益红包")
	private Integer type;

	@ApiModelProperty(value = "总金额,统计字段")
	@TableField(exist = false)
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalAmount=new BigDecimal(0);

	@ApiModelProperty(value = "抢红包时领到的专属红包金额")
	@TableField(exist = false)
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal belongAmount=new BigDecimal(0);
}
