/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

/**
 * 红色积分变更记录表实体类
 *
 * @author BladeX
 * @since 2022-05-25
 */
@Data
@TableName("re_red_integral")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "RedIntegral对象", description = "红色积分变更记录表")
public class RedIntegral extends BaseEntity<RedIntegral> {

	private static final long serialVersionUID = 1L;

	/**
	* 积分持有人
	*/
		@ApiModelProperty(value = "积分持有人")
		private Long userId;
	/**
	* 变更红色积分
	*/
		@ApiModelProperty(value = "变更红色积分")
		private BigDecimal changeIntegral;
	/**
	* 变更前红色积分
	*/
		@ApiModelProperty(value = "变更前红色积分")
		private BigDecimal beforeIntegral;
	/**
	* 变更后红色积分
	*/
		@ApiModelProperty(value = "变更后红色积分")
		private BigDecimal lastIntegral;
	/**
	* 服务费比例
	*/
		@ApiModelProperty(value = "服务费比例")
		private BigDecimal ratio;
	/**
	* 来源: 1、订单，2、随机红包，3、专属红包
	*/
		@ApiModelProperty(value = "来源: 1、订单，2、随机红包，3、专属红包,4、注册送积分 5-退款 6-充值")
		private Integer src;
	/**
	* 来源记录ID
	*/
		@ApiModelProperty(value = "来源记录ID")
		private Long dataId;
	/**
	* 描述
	*/
		@ApiModelProperty(value = "描述")
		private String remark;
	/**
	* 变更类型：1:收入 2：支出
	*/
		@ApiModelProperty(value = "变更类型：1:收入 2：支出")
		private Integer type;


}
