package org.springblade.modules.redenvelopemall.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.math.BigDecimal;

@Data
@TableName("re_red_setting")
@ApiModel(value = "红包配置")
public class RedSetting extends BaseEntity<RedSetting> {


	@ApiModelProperty(value = "类型:0是拼手气红包,1是普通红包")
	private Integer type=0;

	@ApiModelProperty(value = "红包个数")
	private Integer num=0;

	@ApiModelProperty(value = "红包总金额")
	private BigDecimal totalAmount=new BigDecimal("0");

	@ApiModelProperty(value = "随机单个红包最大金额,默认200")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal maxAmount=new BigDecimal("200");

	@ApiModelProperty(value = "随机单个红包最小金额,默认0.01")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal minAmount=new BigDecimal("0.01");

	@ApiModelProperty(value = "红包标题")
	private String title;

	@ApiModelProperty(value = "随机红包比例,默认为0.2,即20%")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal proportion=new BigDecimal("0.2");

	@ApiModelProperty(value = "加速(专属)红包比例,默认为1,即100%")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal belongProportion=new BigDecimal("1");

}
