/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;

/**
 * 购物车实体类
 *
 * @author pangqijun
 * @since 2022-07-28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("re_shopping_cart")
public class ShoppingCart extends BaseEntity implements Serializable {

	private static final long serialVersionUID = 1L;

	/** 商品id */
	@ApiModelProperty(value = "商品id")
	private Long goodsInfoId;

	/** 规格id */
	@ApiModelProperty(value = "规格id")
	private Long goodsSpecId;

	/** 商品数量 */
	@ApiModelProperty(value = "商品数量")
	private Integer goodsNum;

	/** 用户id */
	@ApiModelProperty(value = "用户id")
	private Long userId;
}
