package org.springblade.modules.redenvelopemall.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
@TableName("re_supply_chain")
@ApiModel(value = "SupplyChain对象", description = "供应链数据表")
public class SupplyChain {
	@ApiModelProperty("商品id")
	private Integer id;
	@ApiModelProperty("库存")
	private String stock;
	@ApiModelProperty("标题")
	private String title;
	@ApiModelProperty("营销价利润率")
	@JsonProperty(value = "activity_rate")
	private String activityRate;
	@ApiModelProperty("产地")
	private String origin;
	@ApiModelProperty("封面")
	private String cover;
	@ApiModelProperty("三方品牌")
	@JsonProperty(value = "third_brand_name")
	private String thirdBrandName;

	@ApiModelProperty("协议价（分）")
	@JsonProperty(value = "agreement_price")
	private String agreementPrice;

	@ApiModelProperty("销售价（分）")
	@JsonProperty(value = "sale_price")
	private String salePrice;

	@ApiModelProperty("成本价（分）")
	@JsonProperty(value = "cost_price")
	private String costPrice;

	@ApiModelProperty("最低利润")
	@JsonProperty(value = "min_profits")
	private String minProfits;

	@ApiModelProperty("最高利润")
	@JsonProperty(value = "max_profits")
	private String maxProfits;

	@ApiModelProperty("营销价（分）")
	@JsonProperty(value = "activity_price")
	private String activityPrice;

	@ApiModelProperty("三方分类名称")
	@JsonProperty(value = "third_category_name")
	private String thirdCategoryName;

	@ApiModelProperty("指导价（分）")
	@JsonProperty(value = "guide_price")
	private String guidePrice;
	@ApiModelProperty("来源1云仓2京东6阿里巴巴7天猫")
	private Integer source;

	@JsonProperty(value = "market_price")
	@ApiModelProperty("市场价（分）")
	private String marketPrice;
	@ApiModelProperty("状态 0.下架 1.正常")
	private Integer status;

	@JsonProperty(value = "third_id")
	@ApiModelProperty("三方id")
	private String thirdId;

	@JsonProperty(value = "shop_id")
	@ApiModelProperty("商家id")
	private String shopId;

	@JsonProperty(value = "real_sale")
	@ApiModelProperty("真实销量")
	private Integer realSale;

	@JsonProperty(value = "total_stock")
	@ApiModelProperty("总库存")
	private Integer totalStock;
	@ApiModelProperty("销量")
	private Integer sale;
	@ApiModelProperty("单位")
	private String unit;
	@ApiModelProperty("利润百分比")
	private String rate;

	@JsonProperty(value = "is_free_shipping")
	@ApiModelProperty("1包邮0不包邮")
	private Integer isFreeShipping;

	@JsonProperty(value = "category_id")
	@ApiModelProperty("分类id")
	private String categoryId;

	@JsonProperty(value = "brand_id")
	@ApiModelProperty("品牌id")
	private String brandId;

	@JsonProperty(value = "seller_id")
	@ApiModelProperty("seller_id")
	private String sellerId;

	@JsonProperty(value = "groups_ids")
	@ApiModelProperty("分组id")
	private String groupsIds;

	@JsonProperty(value = "is_import")
	@ApiModelProperty("是否导入 1已导入  0-未导入")
	private Integer isImport;

	@JsonProperty(value = "discount")
	@ApiModelProperty("折扣")
	private Double discount;

	@JsonProperty(value = "gross_profit_rate")
	@ApiModelProperty("毛利率")
	private Double grossProfitRate;

	@JsonProperty(value = "dis_category_id")
	@ApiModelProperty("聚合分类id")
	private String disCategoryId;

	@JsonProperty(value = "updated_time")
	@ApiModelProperty("更新时间")
	private Timestamp updatedTime;

	@JsonProperty(value = "created_time")
	@ApiModelProperty("创建时间")
	private Timestamp createdTime;
}
