package org.springblade.modules.redenvelopemall.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * Author pangqijun
 * Date 2022/7/16
 * Description 唯品尚商品表
 */
@TableName("re_wps_goods")
@Data
public class WeiPinShangGoods {

	@JsonSerialize(using = ToStringSerializer.class)
	@TableId(value = "id", type = IdType.ASSIGN_ID)
	@ApiModelProperty(value = "主键")
	protected Long id;

	@ApiModelProperty("父级id")
	@JSONField(name = "c_father_goods_id")
	private String fatherGoodsId;

	@ApiModelProperty("商品名称")
	@JSONField(name = "c_goods_name")
	private String goodsName;

	@ApiModelProperty("商品描述")
	@JSONField(name = "c_goods_description")
	private String goodsDescription;

	@ApiModelProperty("不发货地区")
	@JSONField(name = "c_no_delivery_area")
	private String noDeliveryArea;

	@ApiModelProperty("商品原价(吊牌)")
	@JSONField(name = "c_original_price")
	private BigDecimal originalPrice;

	@ApiModelProperty("商品进价")
	@JSONField(name = "c_in_price")
	private BigDecimal inPrice;

	@ApiModelProperty("建议零售价")
	@JSONField(name = "c_sale_price")
	private BigDecimal salePrice;

	@ApiModelProperty("利润")
	private BigDecimal profits;

	@ApiModelProperty("商品主图")
	@JSONField(name = "c_goods_image")
	private String goodsImage;

	@TableField(exist = false)
	@ApiModelProperty("商品详情图")
	@JSONField(name = "c_details_images")
	private String detailsImages;

	@TableField(exist = false)
	@ApiModelProperty("商品banner图")
	@JSONField(name = "c_banner_images")
	private String bannerImages;

	@ApiModelProperty("品牌id")
	@JSONField(name = "c_brand_id")
	private String brandId;

	@ApiModelProperty("品牌图标")
	@JSONField(name = "c_brand_icon")
	private String brandIcon;

	@ApiModelProperty("品牌名称")
	@JSONField(name = "c_brand_name")
	private String brandName;

	@ApiModelProperty("状态 1-上架 0-下架")
	@JSONField(name = "c_is_show")
	private String isShow;

	@ApiModelProperty("分类id")
	@JSONField(name = "c_class_id")
	private String classId;

	@ApiModelProperty("分类描述")
	@JSONField(name = "c_class_desc")
	private String classDesc;

	@ApiModelProperty("二级分类id")
	@JSONField(name = "c_class2_id")
	private String class2Id;

	@ApiModelProperty("二级分类描述")
	@JSONField(name = "c_class2_desc")
	private String class2Desc;

	@ApiModelProperty("二级分类id")
	@JSONField(name = "c_class3_id")
	private String class3Id;

	@ApiModelProperty("二级分类描述")
	@JSONField(name = "c_class3_desc")
	private String class3Desc;

	@ApiModelProperty("上架时间")
	@JSONField(name = "c_start_datetime")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String startDatetime;

	@ApiModelProperty("下架时间")
	@JSONField(name = "c_stop_datetime")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private String stopDatetime;

	@ApiModelProperty("折扣")
	private BigDecimal discount;

	@ApiModelProperty("是否导入 1已导入  0-未导入")
	private Integer isImport;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	protected Date createTime;

	@TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
	@ApiModelProperty(value = "更新时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@TableField(exist = false)
	@JSONField(name = "c_goods_stock_valid")
	@ApiModelProperty("有效库存")
	private Integer goodsStockValid;

	@TableField(exist = false)
	@JSONField(name = "goods_sku")
	@ApiModelProperty("商品sku")
	private List<WeiPinShangGoodsSku> goodsSku;
}
