/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.mapper;

import org.apache.ibatis.annotations.Select;
import org.springblade.modules.redenvelopemall.entity.GoodsSpec;
import org.springblade.modules.redenvelopemall.vo.GoodsSpecVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.io.Serializable;
import java.util.List;

/**
 * 商品规格表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-05-07
 */
public interface GoodsSpecMapper extends BaseMapper<GoodsSpec> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param goodsSpec
	 * @return
	 */
	List<GoodsSpecVO> selectGoodsSpecPage(IPage page, GoodsSpec goodsSpec);

	@Select("select * from re_goods_spec where id = #{id}")
	GoodsSpec get(Serializable id);

}
