package org.springblade.modules.redenvelopemall.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RedEnvelopeParam {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "类型:0是拼手气红包,1是普通红包")
	private Integer type;

	@ApiModelProperty(value = "红包归属:0是平台,1是入驻的商家")
	private Integer belong;

	@ApiModelProperty(value = "红包个数")
	private Integer num;

	@ApiModelProperty(value = "红包总金额")
	private BigDecimal totalAmount;

	@ApiModelProperty(value = "标题")
	private String title;

	@ApiModelProperty(value = "开始时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date endTime;
}
