package org.springblade.modules.redenvelopemall.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.redenvelopemall.entity.RedEnvelopeReceiveLog;
import org.springblade.modules.redenvelopemall.param.RedEnvelopeReceiveLogParam;
import org.springblade.modules.redenvelopemall.vo.RedEnvelopeReceiveLogVo;

import java.math.BigDecimal;
import java.util.Date;

public interface IRedEnvelopeReceiveLogService extends IService<RedEnvelopeReceiveLog> {

	/**
	 *
	 * @param log 随机红包日志
	 * @param belongLog  专属红包日志
	 */
	void saveReceiveLog(RedEnvelopeReceiveLog log, RedEnvelopeReceiveLog belongLog);

	/**
	 *保存专属红包
	 * @param belongLog 专属红包
	 */
	void saveReceiveBelongLog(RedEnvelopeReceiveLog belongLog);

	/**
	 * 保存联动模式红包
	 * @param belongLog 专属红包
	 */
	void saveLinkedBelongLog(RedEnvelopeReceiveLog belongLog);

	/**
	 * 根据红包ID查询领取的红包日志
	 * @param redEnvelopeId
	 * @param userName
	 * @param query
	 * @return
	 */
	IPage<RedEnvelopeReceiveLogVo> logByRedEnvelopeId(String redEnvelopeId,String userName, Query query);

	/**
	 * 日志分页
	 * @param param
	 * @param query
	 * @return
	 */
	IPage<RedEnvelopeReceiveLogVo> logPage(RedEnvelopeReceiveLogParam param, Query query);

	/**
	 * 根据用户Id查询领取的总红包金额
	 * @param userId
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	BigDecimal totalRedEnvelopeAmountByUserId(Long userId, Date startTime, Date endTime);

	/**
	 * 根据时间查询领取的总红包金额
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	BigDecimal totalRedEnvelopeAmount( Date startTime, Date endTime);

	/**
	 * 排行榜
	 * @param startTime
	 * @param endTime
	 * @param query
	 * @return
	 */
	IPage<RedEnvelopeReceiveLogVo> leaderboard(Date startTime, Date endTime, Query query, Integer type);
}
