/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.redenvelopemall.entity.RedAccelerateRecord;
import org.springblade.modules.redenvelopemall.vo.RedAccelerateRecordVO;
import org.springblade.modules.redenvelopemall.mapper.RedAccelerateRecordMapper;
import org.springblade.modules.redenvelopemall.service.IRedAccelerateRecordService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 加速积分记录 服务实现类
 *
 * @author BladeX
 * @since 2022-05-25
 */
@Service
public class RedAccelerateRecordServiceImpl extends ServiceImpl<RedAccelerateRecordMapper, RedAccelerateRecord> implements IRedAccelerateRecordService {

	@Override
	public IPage<RedAccelerateRecordVO> selectRedAccelerateRecordPage(IPage<RedAccelerateRecordVO> page, RedAccelerateRecordVO redAccelerateRecord) {
		return page.setRecords(baseMapper.selectRedAccelerateRecordPage(page, redAccelerateRecord));
	}

}
