/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.redenvelopemall.entity.GoodsInfo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import org.springblade.modules.redenvelopemall.entity.GoodsParams;
import org.springblade.modules.redenvelopemall.entity.GoodsSpec;

import java.math.BigDecimal;
import java.util.List;

/**
 * 商品表视图实体类
 *
 * @author BladeX
 * @since 2022-05-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "GoodsInfoVO对象", description = "商品表")
public class GoodsInfoVO extends GoodsInfo {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("商品参数列表")
	private List<GoodsParams> goodsParamsList;
	@ApiModelProperty("商品规格列表")
	private List<GoodsSpec> goodsSpecList;

	@ApiModelProperty(value = "购买时获得的积分数")
	private BigDecimal obtainIntegral;

	@ApiModelProperty(value = "购买时获得的绿色积分数")
	private BigDecimal obtainGreenIntegral;

	@ApiModelProperty(value = "积分兑换时需要扣除的金额")
	private BigDecimal needAmount;

	@ApiModelProperty(value = "抵扣所需积分")
	private BigDecimal needIntegral;

	private Integer isActivity;

	private String brandDesc;

	public BigDecimal getNeedAmount() {
		return needAmount == null ? new BigDecimal("0.00") : needAmount;
	}

	public BigDecimal getNeedIntegral() {
		return needIntegral == null ? new BigDecimal("0.00") : needIntegral;
	}
}
