package org.springblade.modules.redenvelopemall.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.common.utils.StringUtils;
import org.springblade.modules.redenvelopemall.entity.RedEnvelopeReceiveLog;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RedEnvelopeReceiveLogVo extends RedEnvelopeReceiveLog {
	@ApiModelProperty(value = "领取人姓名")
	private String userName;
	@ApiModelProperty(value = "领取人账号")
	private String account;

	@ApiModelProperty(value = "领取人手机号")
	private String phone;
	@ApiModelProperty(value = "头像")
	private String avatar;

	public String getPhone() {
		if (StringUtils.isNotBlank(phone)){
			return phone.replaceAll("(\\d{3})\\d{4}(\\d{4})","$1****$2");
		}else {
			return "";
		}
	}
}
