package org.springblade.modules.redenvelopemall.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 红包统计VO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RedEnvelopeStatisticsVO {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "红包项个数")
	private Integer redEnvelopeItemCount=0;

	@ApiModelProperty(value = "今日红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalRedEnvelopeAmount=new BigDecimal(0);

	@ApiModelProperty(value = "今日已领红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalReceivedRedEnvelopeAmount=new BigDecimal(0);

	@ApiModelProperty(value = "今日剩余红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal totalRemainItemAmount=new BigDecimal(0);

	@ApiModelProperty(value = "自己已领红包项个数")
	private Integer receiveItemCount=0;

	@ApiModelProperty(value = "自己已领红包金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal receiveItemAmount=new BigDecimal(0);

	@ApiModelProperty(value = "剩余红包项个数")
	private Integer remainItemCount=0;



	@ApiModelProperty(value = "已错失红包总金额")
	@JsonFormat(shape = JsonFormat.Shape.STRING)
	private BigDecimal lossTotalAmount=new BigDecimal(0);

	public Integer getRemainItemCount() {
		return redEnvelopeItemCount-receiveItemCount;
	}
//
//	public BigDecimal getRemainItemAmount() {
//		return totalRedEnvelopeAmount.subtract(receiveItemAmount);
//	}
}
