/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.redenvelopemall.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.redenvelopemall.entity.RedIntegral;
import org.springblade.modules.redenvelopemall.vo.RedIntegralVO;
import java.util.Objects;

/**
 * 红色积分变更记录表包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2022-05-25
 */
public class RedIntegralWrapper extends BaseEntityWrapper<RedIntegral, RedIntegralVO>  {

	public static RedIntegralWrapper build() {
		return new RedIntegralWrapper();
 	}

	@Override
	public RedIntegralVO entityVO(RedIntegral redIntegral) {
		RedIntegralVO redIntegralVO = Objects.requireNonNull(BeanUtil.copy(redIntegral, RedIntegralVO.class));

		//User createUser = UserCache.getUser(redIntegral.getCreateUser());
		//User updateUser = UserCache.getUser(redIntegral.getUpdateUser());
		//redIntegralVO.setCreateUserName(createUser.getName());
		//redIntegralVO.setUpdateUserName(updateUser.getName());

		return redIntegralVO;
	}

}
