/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springblade.common.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * 积分寄售表实体类
 *
 * @author BladeX
 * @since 2022-08-15
 */
@Data
@TableName("t_integer_consign")
@ApiModel(value = "IntegerConsign对象", description = "积分寄售表")
public class IntegerConsign extends BaseEntity<IntegerConsign> {

	private static final long serialVersionUID = 1L;

	/**
	* 寄卖人id
	*/
		@ApiModelProperty(value = "寄卖人id")
		private Long consignUserId;
	/**
	* 寄卖人名称
	*/
		@ApiModelProperty(value = "寄卖人名称")
		private String consignUserName;
	/**
	* 寄卖电话
	*/
		@ApiModelProperty(value = "寄卖电话")
		private String consignTel;
	/**
	* 寄卖积分
	*/
	@NotNull(message = "寄卖积分不能为空")
	@ApiModelProperty(value = "寄卖积分")
	private BigDecimal integral;
	/**
	* 寄卖金额
	*/
	@ApiModelProperty(value = "寄卖金额")
	private BigDecimal consignPrice;
	/**
	* 购买人id
	*/
		@ApiModelProperty(value = "购买人id")
		private Long buyerUserId;
	/**
	* 购买人名称
	*/
		@ApiModelProperty(value = "购买人名称")
		private String buyerUserName;
	/**
	* 购买人电话
	*/
		@ApiModelProperty(value = "购买人电话")
		private String buyerUserTel;
	/**
	* 购买时间
	*/
		@ApiModelProperty(value = "购买时间")
		private Date buyTime;
	/**
	* 状态：0上架，1已购买，2下架
	*/
		@ApiModelProperty(value = "状态：0上架，1已购买，2下架")
		private Integer status;

}
