package org.springblade.modules.shopping.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.common.base.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;



@Data
@TableName("t_remit_record")
@ApiModel(value = "打款记录表", description = "打款记录表")
public class RemitRecord extends BaseEntity<RemitRecord> implements Serializable {


	@ApiModelProperty(value = "寄售订单ID")
	private Long consignId;

	@ApiModelProperty(value = "打款方式,0:线下打款，1支付宝打款")
	private Integer remitType;

	@ApiModelProperty(value = "打款金额")
	private BigDecimal remitPrice;

	@ApiModelProperty(value = "打款人姓名")
	private String createUserName;

	@ApiModelProperty(value = "收款人ID")
	private Long payeeUserId;

	@ApiModelProperty(value = "响应json")
	private String responseJson;

	@ApiModelProperty(value = "请求json")
	private String requestJson;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@TableField(exist = false)
	@ApiModelProperty(value = "打款方式描述")
	private String remitDescribe;

	public String getRemitDescribe(){
		if(this.getRemitType() == 0){
			return "线下打款";
		} else if (this.getRemitType() == 1){
			return "支付宝打款";
		}
		return "";
	}
}
