package org.springblade.modules.shopping.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(description = "交割数据VO")
public class DeliveryVO {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "账号")
	@ExcelProperty(value = "账号")
	private String account;

	@ApiModelProperty(value = "真实名字")
	@ExcelProperty(value = "真实名字")
	private String realName;

	@ApiModelProperty(value = "用户Id")
	@ExcelIgnore
	private String consignUserId;

	@ApiModelProperty(value = "用户余额")
	@ExcelProperty(value = "用户余额")
	private BigDecimal nowMoney=BigDecimal.ZERO;

	@ApiModelProperty(value = "总订单数")
	@ExcelProperty(value = "总订单数")
	private String totalOrderNum;

	@ApiModelProperty(value = "总抢购价")
	@ExcelProperty(value = "总抢购价")
	private String totalConsignPrice;

	@ApiModelProperty(value = "总取得价")
	@ExcelProperty(value = "总取得价")
	private String totalObtainPrice;

	@ApiModelProperty(value = "完结金额")
	@ExcelProperty(value = "完结金额")
	private String totalDeliveryPrice;

	@ApiModelProperty(value = "未付款金额")
	@ExcelProperty(value = "未付款金额")
	private String totalNoDeliveryPrice;

	@ApiModelProperty(value = "完结单数")
	@ExcelProperty(value = "完结单数")
	private String totalDeliveryNum;

	@ApiModelProperty(value = "总收益")
	@ExcelProperty(value = "总收益")
	private String totalIncome;

	@ApiModelProperty(value = "完结状态:0 未完结;1已完结")
	@ExcelIgnore
	private Integer deliveryState;

	@ApiModelProperty(value = "完结状态名称")
	@ExcelIgnore
	private String deliveryStateName;

	public String getDeliveryStateName() {
		if (this.deliveryState==0){
			deliveryStateName="否";
		}else {
			deliveryStateName="是";
		}
		return deliveryStateName;
	}
}
