package org.springblade.modules.shopping.vo;


import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.shopping.entity.Consign;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@ApiModel(value = "打款详情对象", description = "商品寄售表")
public class RemitDetailVO implements Serializable {

	@ApiModelProperty(value = "单数")
	private Integer count;

	@ApiModelProperty(value = "寄售用户ID")
	private Long consignUserId;

	@TableField(exist = false)
	@ApiModelProperty(value = "寄售用户名称")
	private String consignUserName;

	@TableField(exist = false)
	@ApiModelProperty(value = "寄售用户手机号")
	private String consignUserPhone;

	@ApiModelProperty(value = "进货总金额")
	private BigDecimal obtainPrice = new BigDecimal(0);

	@ApiModelProperty(value = "寄售总金额")
	private BigDecimal consignPrice = new BigDecimal(0);

	@ApiModelProperty(value = "打款金额")
	private BigDecimal remitPrice = new BigDecimal(0);

	@ApiModelProperty(value = "手续费")
	private BigDecimal procedurePrice = new BigDecimal(0);

	@ApiModelProperty(value = "税收金额")
	private BigDecimal taxPrice = new BigDecimal(0);



}
