/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.service;

import org.springblade.common.enums.WithdrawalStatusEnum;
import org.springblade.modules.system.entity.MallWithdrawalRecord;
import org.springblade.modules.system.vo.MallWithdrawalRecordVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.math.BigDecimal;

/**
 *  服务类
 *
 * @author BladeX
 * @since 2022-11-24
 */
public interface IMallWithdrawalRecordService extends IService<MallWithdrawalRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param mallWithdrawalRecord
	 * @return
	 */
	IPage<MallWithdrawalRecordVO> selectMallWithdrawalRecordPage(IPage<MallWithdrawalRecordVO> page, MallWithdrawalRecordVO mallWithdrawalRecord);

	void createMallWithdrawalRecord(BigDecimal amount);

	/**
	 * 同意提现申请
	 * @param id 申请id
	 */
	void confirmAudit(Long id);

	void updateMallWithdrawalRecord(Long id, WithdrawalStatusEnum withdrawalStatusEnum, String auditMsg);
}
