package org.springblade.modules.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.common.enums.RedMoneySourceEnum;
import org.springblade.common.param.ComResult;
import org.springblade.modules.system.entity.RedMoneyRecord;

import java.math.BigDecimal;


public interface IRedMoneyRecordService extends IService<RedMoneyRecord> {


	/**
	 * 创建红包金额变动记录及变更红包余额
	 * @param userId 需要变更红包余额的用户id
	 * @param sourceEnum 红包余额变动类型
	 * @param fluctuantAmount 变动金额
	 * @param chargeAmount 手续费
	 * @param dataId 数据id
	 * @return 结果
	 */
	ComResult redMoneyUpdateRecord(Long userId,
								   RedMoneySourceEnum sourceEnum,
								   BigDecimal fluctuantAmount,
								   BigDecimal chargeAmount,
								   Long dataId);

	/**
	 * 红包提现成功记录
	 * @param userId 用户id
	 * @param dataId 提现记录id
	 * @return 返回结果
	 */
	ComResult redMoneySuccRecord(Long userId,Long dataId);

}
