/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.service;

import org.springblade.common.enums.WithdrawalStatusEnum;
import org.springblade.modules.system.entity.WithdrawalRecord;
import org.springblade.modules.system.vo.WithdrawalRecordVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.math.BigDecimal;
import java.util.Map;

/**
 *  服务类
 *
 * @author BladeX
 * @since 2022-07-18
 */
public interface IWithdrawalRecordService extends IService<WithdrawalRecord> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param withdrawalRecord
	 * @return
	 */
	IPage<WithdrawalRecordVO> selectWithdrawalRecordPage(IPage<WithdrawalRecordVO> page, WithdrawalRecordVO withdrawalRecord);

	/**
	 * 发起提现 创建金额变更记录和提现记录
	 * @param withdrawal 提现金额
	 * @param isAccelerate
	 * @return
	 */
	Map<String,Object> createWithdrawalRecord(BigDecimal withdrawal, Integer isAccelerate);


	/**
	 *	修改提现状态
	 * @param withdrawalRecordId 提现记录ID
	 * @param statusEnum 提现状态枚举
	 * @return
	 */
	Map<String,Object> updataWithdrawalRecord(Long withdrawalRecordId, WithdrawalStatusEnum statusEnum,String auditMsg);

	WithdrawalRecord getNewestByUserId(Long userId);

	Map<String, Object> backoutAudit(Long id);
}
