package org.springblade.test;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.poi.excel.ExcelReader;
import cn.hutool.poi.excel.ExcelUtil;
import cn.hutool.poi.excel.ExcelWriter;
import cn.hutool.poi.excel.StyleSet;
import lombok.extern.slf4j.Slf4j;
import org.apache.poi.ss.usermodel.*;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springblade.core.test.BladeBaseTest;
import org.springblade.core.test.BladeBootTest;
import org.springblade.core.test.BladeSpringRunner;

import java.util.*;

/**
 * Author pangqijun
 * Date 2022/6/27
 * Description
 */

public class ExcelTest {

	@Test
	public void export() {
		List<String> sheet1ColNames = CollUtil.newArrayList("结算方", "产品ID", "专区类型", "账单日期", "账单金额", "物流状态", "结算卡号");
		ExcelWriter writer = ExcelUtil.getWriter("/Users/pangqijun/Downloads/store/excel/writeMapTest1109.xlsx");
		writer.renameSheet("账单信息");
//		CellStyle cellStyle = writer.getCellStyle();
//		cellStyle.setWrapText(true);
		writer.merge(sheet1ColNames.size() - 1 ,"【注】账单明细：商城维度按日汇总的结算数据，当天数据需次日下载查看；订单明细：订单维度详细的结算数据；汇总信息：各项费用累计汇总信息。");
		writer.setRowHeight(0, 70);

		System.out.println(writer.getCurrentRow());
		for (int i = 0; i < sheet1ColNames.size(); i++) {
			System.out.println(sheet1ColNames.get(i));
			writer.writeCellValue(i, 1, sheet1ColNames.get(i));
			// 根据x,y轴获取当前单元格样式
			CellStyle cellStyle = writer.createCellStyle(i, 1);
			// 内容水平居中
			cellStyle.setAlignment(HorizontalAlignment.CENTER);
			// 内容垂直居中
			cellStyle.setVerticalAlignment(VerticalAlignment.CENTER);
			// 设置边框
			cellStyle.setBorderBottom(BorderStyle.THIN);
			cellStyle.setBorderLeft(BorderStyle.THIN);
			cellStyle.setBorderRight(BorderStyle.THIN);
			cellStyle.setFillForegroundColor(IndexedColors.LIGHT_YELLOW.getIndex());
			cellStyle.setFillPattern(FillPatternType.SOLID_FOREGROUND);
		}
		writer.setCurrentRow(writer.getCurrentRow() + 1);
		System.out.println(writer.getCurrentRow());
		// 写入账单信息表头
//		List<List<String>> hearder1 = Collections.singletonList(sheet1ColNames);
		// 定义单元格背景色
//		StyleSet style = writer.getStyleSet();
//		style.setBackgroundColor(IndexedColors.LIGHT_YELLOW, false);
//		writer.write(hearder1);

		List<String> row1 = CollUtil.newArrayList("aa", "bb", "cc", "dd", "bb", "cc", "dd");
		List<String> row2 = CollUtil.newArrayList("aa1", "bb1", "cc1", "dd1", "bb", "cc", "dd");
		List<String> row3 = CollUtil.newArrayList("aa2", "bb2", "cc2", "dd2", "bb", "cc", "dd");
		List<String> row4 = CollUtil.newArrayList("aa3", "bb3", "cc3", "dd3", "bb", "cc", "dd");
		List<String> row5 = CollUtil.newArrayList("aa4", "bb4", "cc4", "dd4", "bb", "cc", "dd");

		List<List<String>> rows = CollUtil.newArrayList(row1, row2, row3, row4, row5);
//		style.setBackgroundColor(IndexedColors.WHITE, false);
		writer.write(rows, true);

//		CellStyle cellStyle1 = style.getCellStyle();
//		cellStyle1.setFillForegroundColor(IndexedColors.LIGHT_YELLOW.getIndex());
//		cellStyle1.setFillPattern(FillPatternType.SOLID_FOREGROUND);
//		writer.setRowStyle(1, cellStyle1);

		// 设置列宽
		for (int i = 0; i < sheet1ColNames.size(); i++) {
			if (i == sheet1ColNames.size() - 1) {
				writer.setColumnWidth(i, 40);
			} else if (i == 1) {
				writer.setColumnWidth(i, 35);
			} else if (i == 3) {
				writer.setColumnWidth(i, 30);
			}
			else {
				writer.setColumnWidth(i, 15);
			}
		}

		//切换sheet，此时从第0行开始写
		writer.setSheet("订单明细");
		System.out.println(writer.getCurrentRow());
		List<String> headers = CollUtil.newArrayList("订单号", "商品名称", "订单类型", "收货人", "支付总价", "商品购买总价", "数量", "邮费", "协议价",
			"商品售价", "抵扣积分", "支付状态", "收件人电话", "收货地址", "物流公司", "物流单号", "下单时间", "支付时间", "发货时间", "收货时间");
		for (int i = 0; i < headers.size(); i++) {
			System.out.println(headers.get(i));
			writer.writeCellValue(i, 0, headers.get(i));
			// 根据x,y轴获取当前单元格样式
			CellStyle cellStyle = writer.createCellStyle(i, 0);
			// 内容水平居中
			cellStyle.setAlignment(HorizontalAlignment.CENTER);
			// 内容垂直居中
			cellStyle.setVerticalAlignment(VerticalAlignment.CENTER);
			// 设置边框
			cellStyle.setBorderBottom(BorderStyle.THIN);
			cellStyle.setBorderLeft(BorderStyle.THIN);
			cellStyle.setBorderRight(BorderStyle.THIN);
			cellStyle.setFillForegroundColor(IndexedColors.LIGHT_YELLOW.getIndex());
			cellStyle.setFillPattern(FillPatternType.SOLID_FOREGROUND);
		}
		writer.setCurrentRow(writer.getCurrentRow() + 1);
		System.out.println(writer.getCurrentRow());
//		writer.write(rows, true);
		writer.setSheet("信息汇总");
		writer.write(rows, true);
		// 关闭writer，释放内存
		writer.close();
	}

	@Test
	public void read() {
		ExcelReader reader = ExcelUtil.getReader("../副本颜致佳人共富体系.xlsx");
		List<Map<String, Object>> maps = reader.readAll();
		for (Map<String, Object> map : maps) {
			Object username = map.get("名字");
			Object phone = map.get("电话");
			Object tj = map.get("推荐人名字");
			Object tjPhone = map.get("推荐人电话");
			Object seq = map.get("顺位排序");
			System.out.print(username.toString());
			System.out.print(phone.toString());
			System.out.print(tj.toString());
			System.out.print(tjPhone.toString());
			System.out.print(seq);
			System.out.println();
		}
		System.out.println(maps);
	}

}
