package org.springblade.test.supplychain;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.map.MapUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.crypto.SecureUtil;
import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.junit.Test;
import org.redisson.misc.Hash;
import org.springblade.common.constant.SupplyChainConstant;
import org.springblade.common.enums.BusinessTypeEnum;
import org.springblade.core.log.model.LogError;
import org.springblade.core.log.model.LogUsual;
import org.springblade.core.mp.support.Condition;
import org.springblade.core.mp.support.Query;
import org.springblade.modules.redenvelopemall.entity.CategoryInfo;
import org.springblade.modules.redenvelopemall.entity.GoodsInfo;
import org.springblade.modules.redenvelopemall.entity.GoodsSpec;
import org.springblade.modules.redenvelopemall.entity.SupplyChain;
import org.springblade.modules.redenvelopemall.service.ISupplyChainService;
import org.springblade.modules.redenvelopemall.service.impl.CategoryInfoServiceImpl;
import org.springblade.modules.redenvelopemall.service.impl.GoodsInfoServiceImpl;
import org.springblade.modules.redenvelopemall.service.impl.GoodsSpecServiceImpl;
import org.springblade.modules.redenvelopemall.service.impl.SupplyChainServiceImpl;
import org.springblade.modules.system.service.impl.LogErrorServiceImpl;
import org.springblade.modules.system.service.impl.LogUsualServiceImpl;
import org.springblade.test.BladeTest;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.nio.charset.StandardCharsets;
import java.sql.Timestamp;
import java.util.*;
import java.util.function.Function;
import java.util.stream.Collectors;

import static jdk.nashorn.internal.objects.NativeArray.lastIndexOf;

/**
 * Author pangqijun
 * Date 2022/5/13
 * Description
 */
public class ApiTest extends BladeTest {

	private String host = "http://api.jxhh.com";
	private String appKey = "3646BE2E163B42397592DB6CE007E747176081652417532";

	@Resource
	private SupplyChainServiceImpl supplyChainService;

	@Test
	public void goodsList() {
		HashMap<String, String> body = new HashMap<>();
//		body.put("source", 1);

		body.put("limit", "10");
		body.put("page", "1");
		body.put("is_selected", "1");

		String jsonString = JSON.toJSONString(body);
		String result = HttpRequest.get(host + "/v2/GoodsStorage/Lists" + getRequestParam(body))
			.addHeaders(getHeader(body, null))
			.execute().body();
		JSONObject jsonObject = JSONObject.parseObject(result);
		JSONArray jsonArray = jsonObject.getJSONObject("data").getJSONArray("list");

		System.out.println(result);
	}

	@Test
	public void apiActivityLists() {
		HashMap<String, String> body = new HashMap<>();
		body.put("limit", "20");
		body.put("page", "1");
		JSONObject jsonObject = supplyChainService.apiActivityLists(body);
		System.out.println(jsonObject);
	}


	@Test
	public void detail() {
		HashMap<String, String> body = new HashMap<>();
		body.put("ids", "14107744");
//		query.put("search_words", "牙线");

		String jsonString = JSON.toJSONString(body);
		String result = HttpRequest.post(host + "/v2/Goods/GetBulkGoodDetail")
			.addHeaders(getHeader(null, jsonString))
			.body(jsonString).execute().body();
		System.out.println(result);
		JSONObject jsonObject = JSON.parseObject(result);
		JSONArray data = jsonObject.getJSONArray("data");
		JSONObject json = data.getJSONObject(0);
		JSONArray jsonArray = json.getJSONObject("specs").getJSONArray("options");
		for (int i = 0; i < jsonArray.size(); i++) {
			JSONObject object = jsonArray.getJSONObject(i);
			System.out.println(object.getDoubleValue("market_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("market_price")).divide(new BigDecimal(100)));
			System.out.println(object.getDoubleValue("activity_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("activity_price")).divide(new BigDecimal(100)));
			System.out.println(object.getDoubleValue("guide_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("guide_price")).divide(new BigDecimal(100)));
			System.out.println(object.getDoubleValue("agreement_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("agreement_price")).divide(new BigDecimal(100)));
			System.out.println(object.getDoubleValue("sale_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("sale_price")).divide(new BigDecimal(100)));
			System.out.println(object.getDoubleValue("cost_price") + "->" + BigDecimal.valueOf(object.getDoubleValue("cost_price")).multiply(new BigDecimal(2)));
		}
	}

	@Test
	public void allCategory() {
		HashMap<String, String> body = new HashMap<>();
		body.put("page", "1");
		body.put("limit", "200");
		body.put("source", "1");

//		String jsonString = JSON.toJSONString(body);
		String result = HttpRequest.get(host + "/v2/Category/Lists" + getRequestParam(body))
			.addHeaders(getHeader(body, null))
			.execute().body();

		System.out.println(result);
	}

	@Resource
	private CategoryInfoServiceImpl categoryInfoService;

	@Test
	public void getCategory() {
		List<CategoryInfo> list = new ArrayList<>();
		int index = 0;
		for (int i = 1; i < 400; i++) {
			HashMap<String, String> body = new HashMap<>();
			body.put("page", i+ "");
			body.put("limit", "200");
			body.put("source", "0");
			String result = HttpRequest.get(host + "/v2/Category/Lists" + getRequestParam(body))
				.addHeaders(getHeader(body, null))
				.execute().body();
			System.out.println(result);
			JSONObject jsonObject = JSON.parseObject(result);
			JSONObject data = jsonObject.getJSONObject("data");
			JSONArray jsonArray = data.getJSONArray("data");
			if (jsonArray == null || jsonArray.isEmpty()) {
				return;
			}
			for (Object o : jsonArray) {
				index++;
				System.out.println(index);
				JSONObject json = (JSONObject) o;
				CategoryInfo categoryInfo = new CategoryInfo();
				categoryInfo.setId(json.getLong("id"));
				categoryInfo.setSort(json.getInteger("sort"));
				categoryInfo.setTitle(json.getString("title"));
				categoryInfo.setLevel(json.getInteger("level"));
				categoryInfo.setParentId(json.getLong("parent_id"));
				categoryInfo.setState(json.getInteger("state"));
				list.add(categoryInfo);
//				categoryInfoService.save(categoryInfo);
			}
			categoryInfoService.saveBatch(list);
			list.clear();
		}

//		categoryInfoService.saveBatch(list);
	}

	@Test
	public void myLists() {
		HashMap<String, String> body = new HashMap<>();
		body.put("page", "1");
		body.put("limit", "50");
//		body.put("search_words", "3769714");
		body.put("status", "0");
//		body.put("group_id", "1235717");
		body.put("source", "0");

//		String jsonString = JSON.toJSONString(body);
		String result = HttpRequest.get(host + "/v2/GoodsStorage/MyLists" + getRequestParam(body))
			.addHeaders(getHeader(body, null))
			.execute().body();
		System.out.println(result);
		Integer integer = JSON.parseObject(result).getJSONObject("data").getInteger("count");
		JSONArray list = JSON.parseObject(result).getJSONObject("data").getJSONArray("list");
		System.out.println(list.toString());
	}

	@Test
	public void groupGoodsList() {
		HashMap<String, String> body1 = new HashMap<>();
		body1.put("page", "1");
		body1.put("limit", "10");
		body1.put("group_id", "1235720");
		String jsonString = JSON.toJSONString(body1);
		String result = HttpRequest.post(host + SupplyChainConstant.V2_GROUP_GOODS_LIST)
			.addHeaders(getHeader(null, jsonString))
			.body(jsonString).execute().body();
		System.out.println(result);
		JSONArray jsonArray = JSON.parseObject(result).getJSONObject("data").getJSONArray("list");
		List<String> list = new ArrayList<>();
		for (Object o : jsonArray) {
			JSONObject jsonObject = (JSONObject) o;
			list.add(jsonObject.getString("id"));
		}
		System.out.println(CollUtil.join(list, ","));
	}

	@Test
	public void groupList() {
		HashMap<String, String> body1 = new HashMap<>();
		body1.put("page", "1");
		body1.put("limit", "100");


//		String jsonString = JSON.toJSONString(body);
		String result = HttpRequest.get(host + SupplyChainConstant.V2_GROUP_LIST + getRequestParam(body1))
			.addHeaders(getHeader(body1, null))
			.execute().body();
		System.out.println(result);

		JSONArray jsonArray = JSON.parseObject(result).getJSONObject("data").getJSONArray("list");
		int total = 0;
		for (Object o : jsonArray) {
			JSONObject jsonObject = (JSONObject) o;


//			int id = supplyChainService.syncData(jsonObject.getString("id"));
//			total = total + id;
//
//			HashMap<String, String> body = new HashMap<>();
//			body.put("page", "1");
//			body.put("limit", "10");
//			body.put("group_id", jsonObject.getString("id"));
////		body.put("source", "14128890");
//
////		String jsonString = JSON.toJSONString(body);
//			String result1 = HttpRequest.get(host + "/v2/GoodsStorage/MyLists" + getRequestParam(body))
//				.addHeaders(getHeader(body, null))
//				.execute().body();
//			Integer integer = JSON.parseObject(result1).getJSONObject("data").getInteger("count");
//			System.out.println(jsonObject.getString("name") + " -> " + integer);
//			total = total + integer;
		}
		System.out.println("商品总数 -> " + total);
		System.out.println(result);
	}

	@Resource
	private GoodsInfoServiceImpl goodsInfoService;

	@Test
	public void fix() {
//		List<GoodsInfo> list = goodsInfoService.lambdaQuery().eq(GoodsInfo::getBusinessType, BusinessTypeEnum.NONE_SELF_SUPPORT.getValue()).list();
//		Map<String, GoodsInfo> collect = list.stream().collect(Collectors.toMap(GoodsInfo::getThirdId, Function.identity()));
		List<SupplyChain> supplyChains = supplyChainService.lambdaQuery().eq(SupplyChain::getIsImport, 0).list();
		System.out.println("总数 " + supplyChains.size());
		for (int i = 0; i < supplyChains.size(); i++) {
			System.out.println(i + 1);
			SupplyChain supplyChain = supplyChains.get(i);
			GoodsInfo goodsInfo = goodsInfoService.lambdaQuery().eq(GoodsInfo::getThirdId, supplyChain.getId()).one();
			if (goodsInfo != null) {
				System.out.println("更新数据...");
				supplyChain.setIsImport(1);
				supplyChainService.updateById(supplyChain);
			}
		}
	}

	@Test
	public void removeGroupGoods() throws InterruptedException {
		supplyChainService.removeGroupGoods("1235720");
	}

	@Resource
	private LogUsualServiceImpl logUsualService;
	@Resource
	private LogErrorServiceImpl logErrorService;

	@Test
	public void fix2() {
		Set<Integer> ids = new HashSet<>();
		List<LogUsual> list = logUsualService.lambdaQuery().like(LogUsual::getLogData, "goods.storage.add")
			.le(LogUsual::getCreateTime, "2022-05-25 00:00:00").list();
		for (LogUsual logUsual : list) {
			String logData = logUsual.getLogData();
			JSONObject jsonObject = JSONObject.parseObject(logData);
			ids.addAll(jsonObject.getJSONObject("data").getJSONArray("goodsIds").toJavaList(Integer.class));
		}
		System.out.println("总条数 -> " + ids.size());
		int add = 0;
		int index = 1;
		for (Integer id : ids) {
			System.out.println(index++);
			SupplyChain chain = supplyChainService.getById(id);
			if (chain != null) {
				continue;
			}
			add = add + 1;
			HashMap<String, String> param = new HashMap<>();
			param.put("page", "1");
			param.put("limit", "1");
			param.put("search_words", id + "");
			JSONObject result = supplyChainService.myLists(param);
			JSONObject json = result.getJSONObject("data");
			if (json != null) {
				JSONArray array = json.getJSONArray("list");
				if (array != null && array.size() > 0) {
					JSONObject jsonObject = array.getJSONObject(0);
					SupplyChain supplyChain = jsonObject.toJavaObject(SupplyChain.class);
					supplyChain.setIsImport(0);
					supplyChainService.save(supplyChain);
				}
			}
		}
		System.out.println("新增总条数" + add);
	}

	@Test
	public void fix3() {
		HashMap<Integer, SupplyChain> map = new HashMap<>(50000);
		Map<Integer, SupplyChain> error = new HashMap<>();
		HashMap<String, String> body1 = new HashMap<>();
		body1.put("page", "1");
		body1.put("limit", "100");
		String result = HttpRequest.get(host + SupplyChainConstant.V2_GROUP_LIST + getRequestParam(body1))
			.addHeaders(getHeader(body1, null))
			.execute().body();
		System.out.println(result);
		JSONArray jsonArray = JSON.parseObject(result).getJSONObject("data").getJSONArray("list");
		int total = 0;
		for (Object o : jsonArray) {
			JSONObject jsonObject = (JSONObject) o;

			String groupId = jsonObject.getString("id");
			HashMap<String, String> body = new HashMap<>();

			body.put("page", "1");
			body.put("limit", "50");
			body.put("group_id", groupId);
			JSONObject r = supplyChainService.myLists(body);
			Integer integer = r.getJSONObject("data").getInteger("count");

//			Integer count = supplyChainService.lambdaQuery().like(SupplyChain::getGroupsIds, groupId).count();

//			if (integer.equals(count)) {
//				continue;
//			}
			for (int i = 0; i < (integer / 50) + 1; i++) {
				HashMap<String, String> param = new HashMap<>();
				param.put("page", (i + 1) + "");
				param.put("limit", "50");
				param.put("group_id", groupId);
				JSONObject r2 = supplyChainService.myLists(param);
				JSONArray r3 = r2.getJSONObject("data").getJSONArray("list");
				for (Object o1 : r3) {
					JSONObject json = (JSONObject) o1;
					SupplyChain supplyChain = json.toJavaObject(SupplyChain.class);
					map.putIfAbsent(supplyChain.getId(), supplyChain);
				}
			}
		}
		System.out.println("新增商品总数 -> " + total);
		System.out.println("商品总数:" + map.size());

		List<SupplyChain> list = new ArrayList<>();
		for (Map.Entry<Integer, SupplyChain> entry : map.entrySet()) {
			list.add(entry.getValue());
		}
		long l = System.currentTimeMillis();
		System.out.println("start insert ...");
		supplyChainService.saveBatch(list, 50);
		long l1 = System.currentTimeMillis();
		System.out.println(l1 - l);

		System.out.println(result);
		System.out.println(JSONObject.toJSONString(error));
	}

	@Test
	public void syncValidGoods() {
		HashMap<String, String> headers = new HashMap<>();
		headers.put("Authorization", "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsb2dpbk5hbWUiOiIxNzgyNjg3MzkzMSIsInVpZCI6MTc2MDgsInN1YmlkIjowLCJjaGFubmVsSWQiOjAsInNpdGVJZCI6MCwibmFtZSI6IuaxqumYhem-mSIsImV4cCI6MTY1NDI0MTg5MX0.o7NlUzswHgky3Tl7sa2nU52PBlKjz8PFrZR8CTusxb0");
		for (int i = 1; i < 101; i++) {
			System.out.println(i);
			String result = HttpRequest.get("https://scm.jxhh.com/api/v1/operate/getChooseGoodsGroupDetailList?page="+i+"&limit=100&is_free_shipping=-1&source=0&status=0")
				.addHeaders(headers)
				.execute().body();
			System.out.println(result);
			JSONObject jsonObject = JSONObject.parseObject(result);
			JSONArray r3 = jsonObject.getJSONObject("data").getJSONArray("list");
			if (r3.isEmpty()) {
				return;
			}
			List<SupplyChain> list = new ArrayList<>();
			for (Object o1 : r3) {
				JSONObject json = (JSONObject) o1;
				SupplyChain supplyChain = json.toJavaObject(SupplyChain.class);
//				list.add(supplyChain);
				SupplyChain chain = supplyChainService.getById(supplyChain.getId());
				if (chain == null) {
					System.out.println("insert");
					supplyChainService.save(supplyChain);
				} else {
					System.out.println("update");
					supplyChainService.updateById(supplyChain);
				}
			}
//			supplyChainService.saveBatch(list);
		}
	}

	@Test
	public void modifyGoodsCategory() {
		List<GoodsInfo> list = goodsInfoService.list();
		List<SupplyChain> supplyChains = supplyChainService.list();
		Map<Integer, SupplyChain> collect = supplyChains.stream().collect(Collectors.toMap(SupplyChain::getId, Function.identity()));

		System.out.println(list.size());
		int index = 0;
		for (GoodsInfo record : list) {
			index++;

				if (index < 15187) {
					continue;
				}
			System.out.println(index);
				SupplyChain supplyChain = collect.get(Integer.parseInt(record.getThirdId()));
				if (supplyChain != null) {
					String categoryId = supplyChainService.getCategoryId(supplyChain.getThirdCategoryName());
					record.setGoodsCategoryId(categoryId);
					record.setDiscount(supplyChain.getDiscount());
					BigDecimal agreementPrice = new BigDecimal(supplyChain.getAgreementPrice()).divide(new BigDecimal(100));
					record.setAgreementPrice(supplyChainService.calAgreementPrice(agreementPrice));
					if (new Integer(0).equals(supplyChain.getIsImport())) {
						supplyChain.setIsImport(1);
						supplyChainService.updateById(supplyChain);
					}
					goodsInfoService.updateById(record);
				}
			}
	}



	@Test
	public void importByGoodsId() {
		String s = "723149,11625636,13688157,3463824,13684576,13930191,2271974,6993883,1800101,9061091,9061092,14162965,14162966,14162972,14162986,14163016,14163409,14163418,14163420,14163434,14163442,14163443,14409502,14409513,14409514,14468791,14845510,14845511,14845512,14845518,14845520,14845521,14845522,14882164,14882166,14882167,14882172,567972,996283,1950701,1821980,3120671,972624,157761,1259959,7009892,7233131,3235963,10899468,13968528,13999846,14000213,13999846,14077190,14536728,14539221,14563747,14574271,14608373,14632819,14712764,14742976";
		String[] split = s.split(",");
		for (String s1 : split) {
			supplyChainService.saveSupplyChain(s1);
		}
	}

	@Test
	public void fixCategory() {
		List<SupplyChain> supplyChains = supplyChainService.lambdaQuery().isNull(SupplyChain::getDisCategoryId).list();
		Map<Integer, SupplyChain> map = new HashMap<>();
		List<String> ids = new ArrayList<>();

		List<SupplyChain> updateList = new ArrayList<>();
		for (int i = 0; i < supplyChains.size(); i++) {
			System.out.println(i);
			SupplyChain supplyChain = supplyChains.get(i);

			map.put(supplyChain.getId(), supplyChain);
			ids.add(supplyChain.getId().toString());
			if (ids.size() == 20 || (i == supplyChains.size() - 1)) {
				JSONObject details = supplyChainService.detail(ids);
				JSONArray data = details.getJSONArray("data");
				for (Object datum : data) {
					JSONObject next = (JSONObject) datum;
					String disCategoryId = next.getString("dis_category_id");
					if (StrUtil.isNotBlank(disCategoryId)) {
						SupplyChain chain = map.get(next.getInteger("id"));
						if (chain != null) {
							chain.setDisCategoryId(disCategoryId);
							updateList.add(chain);
						}
					}
				}
				ids.clear();
				map.clear();
			}


			if (updateList.size() >= 500 || (i == supplyChains.size() - 1)) {
				System.out.println("更新数据条数 -> " + updateList.size());
				supplyChainService.updateBatchById(updateList);
				updateList.clear();
			}
		}
	}


	@Test
	public void fixCategory2() {
		int srot1 = 1;
		int sort2 = 1;
		int sort3 = 1;
		Map<Long, CategoryInfo> categoryInfoMap = new HashMap<>();
		List<CategoryInfo> categoryInfos = new ArrayList<>();
		List<GoodsInfo> list = goodsInfoService.lambdaQuery().select(GoodsInfo::getId, GoodsInfo::getThirdId, GoodsInfo::getGoodsCategoryId).list();
		List<SupplyChain> supplyChainList = supplyChainService.lambdaQuery().select(SupplyChain::getId, SupplyChain::getCategoryId, SupplyChain::getThirdCategoryName).list();
		Map<Integer, SupplyChain> chainMap = supplyChainList.stream().collect(Collectors.toMap(SupplyChain::getId, Function.identity()));
		for (GoodsInfo goodsInfo : list) {
			SupplyChain supplyChain = chainMap.get(Integer.valueOf(goodsInfo.getThirdId()));
			if (supplyChain != null && StrUtil.isNotBlank(supplyChain.getCategoryId()) && StrUtil.isNotBlank(supplyChain.getThirdCategoryName())) {
				String[] categoryArr = supplyChain.getCategoryId().split("-");
				String[] categoryNameArr = supplyChain.getThirdCategoryName().split(",");
				for (int i = 0; i < categoryArr.length; i++) {
					CategoryInfo categoryInfo = new CategoryInfo();
					categoryInfo.setId(Long.parseLong(categoryArr[i]));

					if (categoryInfoMap.get(categoryInfo.getId()) == null) {
						categoryInfo.setTitle(categoryNameArr[i]);
						categoryInfo.setState(1);
						categoryInfo.setLevel(i);
						if (i == 0) {
							categoryInfo.setParentId(0L);
							categoryInfo.setSort(srot1);
							srot1++;
						} else {
							categoryInfo.setParentId(Long.parseLong(categoryArr[i - 1]));
							categoryInfo.setSort(1);
						}
						categoryInfoMap.put(categoryInfo.getId(), categoryInfo);
					}
				}
			}
		}

		int index = 1;
		for (Map.Entry<Long, CategoryInfo> longCategoryInfoEntry : categoryInfoMap.entrySet()) {
			System.out.println(index++);
			categoryInfoService.save(longCategoryInfoEntry.getValue());
		}
		System.out.println(categoryInfoMap.size());
	}

	@Test
	public void test33() {
		String s = "723149,11625636,13688157,3463824,13684576,13930191,2271974,6993883,1800101,9061091,9061092,14162965,14162966,14162972,14162986,14163016,14163409,14163418,14163420,14163434,14163442,14163443,14409502,14409513,14409514,14468791,14845510,14845511,14845512,14845518,14845520,14845521,14845522,14882164,14882166,14882167,14882172,567972,996283,1950701,1821980,3120671,972624,157761,1259959,7009892,7233131,3235963,10899468,13968528,13999846,14000213,13999846,14077190,14536728,14539221,14563747,14574271,14608373,14632819,14712764,14742976";
		String[] split = s.split(",");
		List<GoodsInfo> updateGoods = new ArrayList<>();
		List<GoodsInfo> list = goodsInfoService.lambdaQuery().in(GoodsInfo::getThirdId, split).select(GoodsInfo::getId, GoodsInfo::getThirdId, GoodsInfo::getGoodsCategoryId).list();
		List<SupplyChain> supplyChainList = supplyChainService.lambdaQuery().in(SupplyChain::getId, split).select(SupplyChain::getId, SupplyChain::getCategoryId, SupplyChain::getThirdCategoryName).list();
		Map<Integer, SupplyChain> chainMap = supplyChainList.stream().collect(Collectors.toMap(SupplyChain::getId, Function.identity()));
		for (GoodsInfo goodsInfo : list) {
			SupplyChain supplyChain = chainMap.get(Integer.valueOf(goodsInfo.getThirdId()));
			if (supplyChain != null && StrUtil.isNotBlank(supplyChain.getCategoryId()) && StrUtil.isNotBlank(supplyChain.getThirdCategoryName())) {
				goodsInfo.setGoodsCategoryId(supplyChain.getCategoryId());
				updateGoods.add(goodsInfo);
			}
		}

		List<List<GoodsInfo>> partition = ListUtil.partition(updateGoods, 1000);
		System.out.println(partition.size());
		int index = 1;
		for (List<GoodsInfo> goodsInfos : partition) {
			System.out.println(index++);
			goodsInfoService.updateBatchById(goodsInfos);
		}
	}

	@Test
	public void test() {
		String s = FileUtil.readString("C:\\Users\\Administrator\\Desktop\\test.txt", StandardCharsets.UTF_8);
		JSONObject jsonObject = JSON.parseObject(s);
		JSONArray list = jsonObject.getJSONArray("list");
		int update = 0;
		int insert = 0;
		for (Object o : list) {
			JSONObject e = (JSONObject) o;
			SupplyChain sc = e.toJavaObject(SupplyChain.class);
			SupplyChain id = supplyChainService.getById(sc.getId());
			if (id != null) {
				System.out.println("数据已存在更新数据" + id.getId());
				id.setStatus(sc.getStatus());
				supplyChainService.updateById(id);
				update = update + 1;
			} else {
				sc.setIsImport(0);
				supplyChainService.save(sc);
				insert = insert + 1;
			}
		}
		System.out.println("更新数据" + update);
		System.out.println("新增数据" + insert);
	}

	@Test
	public void logistic() {
		JSONObject logistic = supplyChainService.logistic("20220627000349113981", "48865887");
		System.out.println(logistic.toJSONString());
	}

	@Resource
	private GoodsSpecServiceImpl goodsSpecService;

	@Test
	public void test99() {
		List<GoodsSpec> list = goodsSpecService.lambdaQuery().isNull(GoodsSpec::getOptionId).list();
		System.out.println(list.size());
		Map<Long, List<GoodsSpec>> collect = list.stream().collect(Collectors.groupingBy(GoodsSpec::getGoodsId));
		System.out.println(collect.size());
		int index = 1;
		for (Map.Entry<Long, List<GoodsSpec>> entry : collect.entrySet()) {
			System.out.println(index++);
			GoodsInfo goodsInfo = goodsInfoService.getById(entry.getKey());
			JSONObject detail = supplyChainService.detail(Collections.singletonList(goodsInfo.getThirdId()));
			JSONArray data = detail.getJSONArray("data");
			Map<String, GoodsSpec> specMap = entry.getValue().stream().collect(Collectors.toMap(GoodsSpec::getSpceName, Function.identity()));
			for (Object datum : data) {
				JSONObject next = (JSONObject) datum;
				JSONArray jsonArray = next.getJSONObject("specs").getJSONArray("options");
				for (int i = 0; i < jsonArray.size(); i++) {
					JSONObject json = jsonArray.getJSONObject(i);
					String specValueNames = json.getString("spec_value_names");
					GoodsSpec goodsSpec = specMap.get(specValueNames);
					if (goodsSpec != null && goodsSpec.getOptionId() == null) {
						goodsSpec.setOptionId(json.getString("id"));
						goodsSpecService.updateById(goodsSpec);
					}
				}
			}
		}
	}

	@Test
	public void afterSaleBeforeCheck() {
		JSONObject jsonObject = supplyChainService.afterSaleBeforeCheck("20220620171424460585", "49285731");
		System.out.println(jsonObject.toJSONString());
	}

	@Test
	public void afterSale() {
		JSONObject jsonObject = supplyChainService.afterSale("20220620171424460585", "49285731", 1, 0.0, "40");
		System.out.println(jsonObject.toJSONString());
	}

	public String getRequestParam(HashMap<String, String> query) {
		StringBuilder stringBuilder = new StringBuilder("?");
		for (Map.Entry<String, String> entry : query.entrySet()) {
			stringBuilder.append(entry.getKey()).append("=").append(entry.getValue()).append("&");
		}
		String s = stringBuilder.toString();
		s = s.substring(0, s.length() - 1);
		return s;
	}

	public Map getHeader(HashMap<String, String> query, String body) {
		HashMap<String, String> headers = new HashMap<>();
		headers.put("Api-App-Key", appKey);
		headers.put("Api-Time-Stamp", System.currentTimeMillis() + "");
		headers.put("Api-Nonce", IdUtil.simpleUUID());
		headers.put("Api-Sign", getSign(headers, query, body));
		return headers;
	}

	public String getSign(HashMap<String, String> headers, HashMap<String, String> query, String body) {
		String secretKey = "C4CF11DDD1EB99E829BEE1DEBECEB782";
		HashMap<String, Object> params = new HashMap<>();
		params.putAll(headers);
		if (query != null && !query.isEmpty()) {
			params.putAll(query);
		}
		TreeMap<String, Object> sort = MapUtil.sort(params);
		String sign;
		StringBuilder stringBuilder = new StringBuilder();
		for (Map.Entry<String, Object> entry : sort.entrySet()) {
			stringBuilder.append(entry.getKey()).append(entry.getValue());
		}
		stringBuilder.append(secretKey);
		if (StrUtil.isNotBlank(body)) {
			stringBuilder.append(body);
		}
		String s = SecureUtil.sha1(stringBuilder.toString());
		sign = SecureUtil.md5(s).toUpperCase();
		return sign;
	}
}
