package org.springblade.test.supplychain;

import cn.hutool.core.collection.CollUtil;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.junit.Test;
import org.springblade.common.constant.SupplyChainConstant;
import org.springblade.common.enums.GoodsStateEnum;
import org.springblade.common.utils.CommonUtil;
import org.springblade.modules.redenvelopemall.entity.GoodsInfo;
import org.springblade.modules.redenvelopemall.entity.GoodsSpec;
import org.springblade.modules.redenvelopemall.entity.SupplyChain;
import org.springblade.modules.redenvelopemall.service.impl.SupplyChainServiceImpl;
import org.springblade.test.BladeTest;

import javax.annotation.Resource;
import java.util.List;

/**
 * Author pangqijun
 * Date 2023/4/22
 * Description
 */
public class STBZTest extends BladeTest {

	@Resource
	private SupplyChainServiceImpl supplyChainService;

	@Test
	public void beforeCheck() {
		String optionId = "46287423";
		Integer num = 8;
		JSONObject jsonObject = new JSONObject();
		JSONArray spu = supplyChainService.convertSpu(optionId, num);
		jsonObject.put("spu", spu);
		jsonObject.put("address", this.getAddress());
		try {
			JSONObject post = supplyChainService.post(jsonObject.toJSONString(), SupplyChainConstant.V2_ORDER_BEFORE_CHECK);
			System.out.println(post.toJSONString());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}


	@Test
	public void order() {
		String optionId = "864200";
		Integer num = 1;
		String orderNo = CommonUtil.genTimeID();
		JSONObject jsonObject = new JSONObject();
		jsonObject.put("orderSn", orderNo);
		jsonObject.put("spu", supplyChainService.convertSpu(optionId, num));
		jsonObject.put("address", this.getAddress());
		JSONObject result = supplyChainService.postNotValid(jsonObject.toJSONString(), SupplyChainConstant.V2_ORDER);
		System.out.println(result.toJSONString());
	}

	public JSONObject getAddress() {
		JSONObject address = new JSONObject();
		address.put("consignee", "陈某");
		address.put("phone", "18185457175");
		address.put("province", "贵州");
		address.put("city", "贵阳市");
		address.put("area", "观山湖区");
		address.put("street", "金阳街道");
		address.put("description", "康乃馨路14号黎阳家园12组团");


//		address.put("city", "黔南州");
//		address.put("area", "惠水县");
//		address.put("street", "和平镇");
//		address.put("description", "江南水乡锦秀园");

		return address;
	}
}
