package org.springblade.test.supplychain;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.collection.ListUtil;
import cn.hutool.core.io.FileUtil;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.junit.Test;
import org.springblade.core.redis.cache.BladeRedis;
import org.springblade.core.secure.utils.AuthUtil;
import org.springblade.core.tool.utils.Func;
import org.springblade.modules.redenvelopemall.entity.CategoryInfo;
import org.springblade.modules.redenvelopemall.entity.GoodsInfo;
import org.springblade.modules.redenvelopemall.entity.SupplyChain;
import org.springblade.modules.redenvelopemall.service.impl.CategoryInfoServiceImpl;
import org.springblade.modules.redenvelopemall.service.impl.GoodsInfoServiceImpl;
import org.springblade.test.BladeTest;

import javax.annotation.Resource;
import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.*;
import java.util.function.Function;
import java.util.stream.Collectors;

public class Test2 extends BladeTest {

	@Resource
	private BladeRedis bladeRedis;

	@Test
	public void test() {
		String s = FileUtil.readString("C:\\Users\\Administrator\\Desktop\\test.txt", StandardCharsets.UTF_8);
		JSONObject jsonObject = JSON.parseObject(s);
		JSONArray list = jsonObject.getJSONArray("list");
		for (Object o : list) {
			JSONObject e = (JSONObject) o;
			SupplyChain sc = e.toJavaObject(SupplyChain.class);
			System.out.println(12);
		}
		System.out.println(s);
	}

	@Test
	public void test2() {
		HashMap<String, Object> map = new HashMap<>();
		map.put("certify_id", "certifyId");
		map.put("realName", "realName");
		map.put("idNum", "idNum");
		bladeRedis.setEx("xxxxxx:",map,5*60L);
	}

	@Resource
	private CategoryInfoServiceImpl categoryInfoService;
	@Resource
	private GoodsInfoServiceImpl goodsInfoService;




	@Test
	public void test3() {
		Long parentId = 1534519321067958274L;
		List<Long> list = Func.toLongList("1534520059978493954");


		List<CategoryInfo> categoryInfos = categoryInfoService.lambdaQuery().in(CategoryInfo::getId, list).list();
		Map<Long, CategoryInfo> categoryInfoMap = categoryInfos.stream().collect(Collectors.toMap(CategoryInfo::getId, Function.identity()));

		List<Long> parentIds = this.findParentId(parentId, new ArrayList<>());
		System.out.println(parentIds.size() == 1 ? CollUtil.join(parentIds, "-") + "-" : CollUtil.join(parentIds, "-"));

		for (Long id : list) {
			List<Long> parentId1 = this.findParentId(id, new ArrayList<>());
//			parentId1.add(id);
			String queryCId = parentId1.size() == 1 ? CollUtil.join(parentId1, "-") + "-" : CollUtil.join(parentId1, "-");
			System.out.println(queryCId);

			CategoryInfo categoryInfo = categoryInfoMap.get(id);
			List<Long> longs = parentId1.subList(categoryInfo.getLevel(), parentId1.size());
			List<Long> parentIdCopy = CollUtil.newArrayList(parentIds);
			parentIdCopy.addAll(longs);
			System.out.println("after -> " + CollUtil.join(parentIdCopy, "-"));

			List<GoodsInfo> goodsInfos = goodsInfoService.lambdaQuery().likeRight(GoodsInfo::getGoodsCategoryId, queryCId).list();
			for (GoodsInfo goodsInfo : goodsInfos) {
				System.out.println(goodsInfo.getGoodsCategoryId());
				System.out.println("after -> " + goodsInfo.getGoodsCategoryId().replace(CollUtil.join(parentId1, "-"), CollUtil.join(parentIdCopy, "-")));
			}
		}


		for (CategoryInfo categoryInfo : categoryInfos) {
			categoryInfo.setParentId(parentId);




		}
	}


	@Test
	public void test4() {
		List<GoodsInfo> list = goodsInfoService.lambdaQuery().likeRight(GoodsInfo::getGoodsCategoryId, "1315-1319").list();
		for (GoodsInfo goodsInfo : list) {
			System.out.println(goodsInfo.getGoodsCategoryId() + " -> " + "1315" + goodsInfo.getGoodsCategoryId().substring("1315-1319".length()));
			goodsInfo.setGoodsCategoryId("1315" + goodsInfo.getGoodsCategoryId().substring("1315-1319".length()));
		}
		goodsInfoService.updateBatchById(list);
	}

	@Test
	public void test5() {
		String parentId = "67";
		List<CategoryInfo> categoryInfos = categoryInfoService.lambdaQuery().eq(CategoryInfo::getParentId, parentId).list();
		Map<Long, CategoryInfo> categoryInfoMap = categoryInfos.stream().collect(Collectors.toMap(CategoryInfo::getId, Function.identity()));
		List<GoodsInfo> list = goodsInfoService.lambdaQuery().likeRight(GoodsInfo::getGoodsCategoryId, parentId + "-").list();
		System.out.println("商品总数 " + list.size());
		Map<String, Integer> map = new HashMap<>();
		for (GoodsInfo goodsInfo : list) {
			String goodsCategoryId = goodsInfo.getGoodsCategoryId();
			String[] split = goodsCategoryId.split("-");
			String s = split[1];
			map.merge(s, 1, Integer::sum);
		}

		int total = 0;
		int error = 0;
		for (Map.Entry<String, Integer> entry : map.entrySet()) {
			CategoryInfo categoryInfo = categoryInfoMap.get(Long.parseLong(entry.getKey()));
			if (categoryInfo != null) {
				total = total + entry.getValue();
				System.out.println(categoryInfo.getTitle() + " -> " + entry.getValue());
			} else {
				error = error + entry.getValue();
				System.out.println("=========有问题 " + entry.getKey() + " -> " + entry.getValue());
			}

		}
		System.out.println(total);
		System.out.println("error -> " + error);
	}


	private List<Long> findParentId(Long parentId, List<Long> idStr) {
		CategoryInfo categoryInfo = categoryInfoService.getById(parentId);
		if (categoryInfo.getParentId() == 0L) {
			idStr.add(0, categoryInfo.getId());
			return idStr;
		}
		idStr.add(0, categoryInfo.getId());
		return this.findParentId(categoryInfo.getParentId(), idStr);
	}

}
