package org.springblade.test.supplychain;

import com.alibaba.fastjson.JSONObject;
import org.junit.Test;
import org.springblade.common.utils.CommonUtil;
import org.springblade.modules.redenvelopemall.service.IWeiPinShangService;
import org.springblade.modules.redenvelopemall.service.impl.WeiPinShangServiceImpl;
import org.springblade.test.BladeTest;

import javax.annotation.Resource;
import java.util.HashMap;

/**
 * Author pangqijun
 * Date 2022/7/10
 * Description
 */
public class WeiPinShangGoodsTest extends BladeTest {

	@Resource
	private WeiPinShangServiceImpl weiPinShangService;

	@Test
	public void getGoodsDetails() {
		JSONObject details = weiPinShangService.getGoodsDetails("WPS2_0226160143566250");
		System.out.println(details.toJSONString());
	}

	@Test
	public void getExpressInfo() {
		JSONObject expressInfo = weiPinShangService.getExpressInfo("20220721152914520448");
		System.out.println(expressInfo.toJSONString());
	}

	@Test
	public void order() throws InterruptedException {
		String orderNo = CommonUtil.genTimeID();
		HashMap<String, String> params = new HashMap<>();
		params.put("orderNo", orderNo);
		params.put("goodSpecId", "WPS128_0617162422759702");
		params.put("goodsId", "WPS128_ZB00001");
		params.put("num", "1");
		params.put("consigneeContacts", "罗先生");
		params.put("consigneePhone", "18185457175");
		params.put("province", "贵州省");
		params.put("city", "贵阳市");
		params.put("area", "观山湖区");
		params.put("address", "金华园街道-绿地联盛国际11号楼");
		params.put("source", "ZHONGH");
		params.put("noticeUrl", "http://www.gzzhsckj.com/api/sc/wps/orderNotice");
		JSONObject result = weiPinShangService.request(params, "mcang/Mcang/createOrder");
		System.out.println(result.toJSONString());
		Thread.sleep(1500);
		// 唯品尚调用订单确认接口
		weiPinShangService.payCallBack(orderNo, "4");
	}
}
